#!/bin/bash

if [ ! -d /var/run/Xeams ]
then
mkdir /var/run/Xeams
fi


#This script all files found in the lib directory in CLASSPATH
CP=
for i in `ls lib/*.jar`
do
CP=$CP:$i
done
echo $CP
ulimit -n 8192
jre/bin/java -server -Xmx512m -cp $CP -DLoggingConfigFile=logconfig.xml com.synametrics.xeams.ServerStarter & 



# Resolve the location of the 'ps' command
PSEXE="/usr/bin/ps"
if [ ! -x $PSEXE ]
then
 PSEXE="/bin/ps"
    if [ ! -x $PSEXE ]
    then
        echo "Unable to locate 'ps'."
        echo "Please report this with the location on your system."
        exit 1
    fi
fi
sleep 5
# Create the pidfile with the process ID
		 $PSEXE aux | grep -i Xeams.jar | grep -v grep | awk '{print $2}' > /var/run/Xeams/Xeams.pid

		
