<%@ page import="com.synametrics.xeams.util.AppConfig" %>
<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Memory Managment", "MemoryManagement.jsp", true));
sideButtons.add(new UrlAnchorHolder("Email Donations", "DonationConfig.jsp", false));
sideButtons.add(new UrlAnchorHolder("Manage Disclaimers", "FrontController?operation=116", false));


//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>

<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>


<%
String saved = (String)request.getAttribute("saved");

if(saved != null){
%>
<p>
<center><font size="4" color="#A0370D"><u><b>Configuration Saved Successfully</b></u></font></center>
</p>
<%
}
%>


<h2>Advanced Configuration</h2>
This page displays some advanced setting pertaining to <%= productName %>.

<form action="<%= request.getAttribute("appPath") %>" method="post">
<table>


<tr>
<td valign="top"><b>Auto Update</b></td><td valign="top">
<input type="checkbox" name="chkAutoUpdate" value="1" <%=AppConfig.getInstance().isAutoUpdateEnabled () ? " checked " : ""%> ></td>
<td valign="top"><font size="-2">If checked <%= productName %> will download new updates automatically
every day around midnight. This applies to program updates only. Rules are updated in the background automatically
and does not require a restart.</font></td>
</tr>


<tr>
<td valign="top"><b>Auto Update Notification</b></td><td valign="top">
<input type="checkbox" name="chkAutoUpdateNotification" value="1" <%=AppConfig.getInstance().isAutoUpdateNotificationEnabled () ? " checked " : ""%> ></td>
<td valign="top"><font size="-2">If checked <%= productName %> send notification emails to administrator(s).</font></td>
</tr>


<tr>
<td valign="top"><b>Submit Anti-Phishing</b></td><td valign="top">
<input type="checkbox" name="chkSubmitPhishing" value="1" <%=AppConfig.getInstance().isSubmitPhishing () ? " checked " : ""%> ></td>
<td valign="top"><font size="-2">The anti-phishing rules in <%= productName %> prevents phishing and fraudulent e-mails.
If an e-mail falls in this category, the HTML link that is refered in the e-mail will be sent to <%= productName %> for
further investigation. Note that only the anchor tag, which contains the URL for phishing web site is sent not
the complete e-mail. We strongly recommend that you leave this checkbox selected.
</font></td>
</tr>

<tr>
<td valign="top"><b>Archive Messages</b></td><td valign="top">
<input type="checkbox" name="chkArchiveSpam" value="1" <%=AppConfig.getInstance().isArchiveSpam () ? " checked " : ""%> > Spam<br>
<input type="checkbox" name="chkArchivePossible" value="1" <%=AppConfig.getInstance().isArchivePossible () ? " checked " : ""%> > Possible Spam<br>
<input type="checkbox" name="chkArchiveGood" value="1" <%=AppConfig.getInstance().isArchiveGood () ? " checked " : ""%> > Good<br>

</td>
<td valign="top"><font size="-2">If checked <%= productName %> will archive old files into a zipped file. If you uncheck any
    category those files will get deleted instead of getting zipped. You can uncheck if you wish to save room on your
    hard disk.
</font></td>
</tr>

<tr>
<td valign="top"><b>Email Log File</b></td><td valign="top">
<input type="text" name="txtEmailLog" value="<%=AppConfig.getInstance().getEmailLogFileName()%>"></td>
<td valign="top"><font size="-2">File name where email logs will be written. If blank no log will be generated</font></td>
</tr>


<tr>
<td valign="top"><b>SMTP HELO String</b></td><td valign="top">
<input type="text" name="txtSmtpHelloCommand" value="<%=AppConfig.getInstance().getSmtpSignature()%>"></td>
<td valign="top"><font size="-2">Domain name to specify in SMTP HELO command for out-bound messages</font></td>
</tr>


<tr>
<td valign="top"><b>SMTP Signature</b></td><td valign="top">
<input type="text" name="txtSignature" value="<%=AppConfig.getInstance().getSmtpSignature()%>"></td>
<td valign="top"><font size="-2">Banner used to greet an incoming SMTP client</font></td>
</tr>

<tr>
<td valign="top"><b>SMTP NOOP Interval</b></td><td valign="top">
<input type="text" name="txtNoopInterval" size="4" value="<%=AppConfig.getInstance().getProxyNoopInterval()%>"></td>
<td valign="top"><font size="-2">NOOP interval used by SMTP Proxy specified in seconds</font></td>
</tr>

<tr>
<td valign="top"><b>SMTP Retry Interval</b></td><td valign="top">
<input type="text" name="txtRetryInterval"  size="4" value="<%=AppConfig.getInstance().getSmtpRetryInterval()%>"></td>
<td valign="top"><font size="-2">Time to wait in minutes before retrying an outbound email.</font></td>
</tr>

<tr>
<td valign="top"><b>SMTP Retry Count</b></td><td valign="top">
<input type="text" name="txtRetryCount"  size="4" value="<%=AppConfig.getInstance().getSmtpRetryCount()%>"></td>
<td valign="top"><font size="-2">Number of times to retry an outbound email message.</font></td>
</tr>

<!--
<tr>
<td valign="top"></td><td valign="top"><input type="text" name="txtEmailLog" value=""></td>
<td><font size="-2"></font></td>
</tr>

-->
<tr>
<td valign="top" colspan="3"><br /><p> <font class="headtext">HTTP Proxy Settings:</font><br />We recommend that you open port
80 for outbound traffic from the machine where <%= productName %> is installed. However, for any reason you cannot
do that provide the settings for a proxy server that can be used to make HTTP requests.<p></td>
</tr>

<tr>
<td valign="top"><b>HTTP Proxy Enabled</b></td><td valign="top">
<input type="checkbox" name="chkHttpProxyEnabled" value="1" <%=AppConfig.getInstance().isHttpProxyEnabled () ? " checked " : ""%> ></td>
<td valign="top"><font size="-2">Check if you wish to use an HTTP proxy.</font></td>
</tr>

<tr>
<td valign="top"><b>Proxy Server Host</b></td><td valign="top">
<input type="text" name="txtProxyHost"  size="20" value="<%=AppConfig.getInstance().getHttpProxyHost()%>"></td>
<td valign="top"><font size="-2"></font></td>
</tr>

<tr>
<td valign="top"><b>Proxy Server Port</b></td><td valign="top">
<input type="text" name="txtProxyPort"  size="4" value="<%=AppConfig.getInstance().getHttpProxyPort()%>"></td>
<td valign="top"><font size="-2"></font></td>
</tr>

<tr>
<td valign="top"><b>Proxy Server User ID</b></td><td valign="top">
<input type="text" name="txtProxyUid"  size="15" value="<%=AppConfig.getInstance().getHttpProxyUid()%>"></td>
<td valign="top"><font size="-2"></font></td>
</tr>

<tr>
<td valign="top"><b>Proxy Server Password</b></td><td valign="top">
<input type="text" name="txtProxyPwd"  size="15" value="<%=AppConfig.getInstance().getHttpProxyPwd()%>"></td>
<td valign="top"><font size="-2"></font></td>
</tr>


<tr>
<td valign="top"></td><td valign="top"><input type="submit" value="Save"></td>
<td valign="top"><font size="-2"></font></td>
</tr>
</table>

<input type="hidden" name="operation" value="67">
</form>



</td>
<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
