<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td width="20">
&nbsp;
</td>

<%
String friendlyName = (String)request.getAttribute("friendlyName");
String profileId = (String)request.getAttribute("profileId");
String recipient = (String)request.getAttribute("recipient");
String sender = (String)request.getAttribute("sender");
String profileIndex = (String)request.getAttribute("profileIndex");
String loginName = (String)request.getAttribute("loginName");
String password = (String)request.getAttribute("password");

if(friendlyName == null) friendlyName = "";
if(profileId == null) profileId = "";
if(recipient == null) recipient = "";
if(sender == null) sender = "";
if(profileIndex == null) profileIndex = "";
if(loginName == null) loginName = "";
if(password == null) password = "";

%>
<td>
<h2><%= productName %> Profile Editor</h2>
<form action="<%= request.getAttribute("appPath") %>" method="post">
<table width="100%">
<tr>
<td valign="top" align="left" width="25%"><b>Friendly name</b></td>
<td valign="top" align="left" width="25%"><input name="friendlyName" size="20" value="<%=friendlyName%>"></td>
<td valign="top" align="left" width="50%">
	<a href="#" tiptext="titleFriendlyName">	
	<img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
            
   	<div id="titleFriendlyName" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		This is a name given to this profile. <%= productName %> will use this name
		to refer to it in all reports and in Admin Console
   	</div>

</td>
</tr>

<tr>
<td valign="top" align="left"><b>Login ID</b></td>
<td valign="top" align="left"><input name="loginName" size="10" value="<%=loginName%>"></td>
<td valign="top" align="left">
	<a href="#" tiptext="titleLoginName">	
	<img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
            
   	<div id="titleLoginName" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		You can delegate filter management tasks of a single domain to someone else. This is the login id and 
		password for <%= productName %> Admin Console, which will be
		used to manage this domain. <br><br>When someone logs in using these credentials he/she can only modify email filtering
		rules that apply only that his/her domain. This person won't be able to change any global setting that apply to the server.
   	</div>

</td>
</tr>

<tr>
<td valign="top" align="left"><b>Password</b></td>
<td valign="top" align="left"><input name="password" size="10" value="<%=password%>"></td>
<td valign="top" align="left"><font size="-2"></font></td>
</tr>

<tr>
<td valign="top" align="left"><b>Sender string</b></td>
<td valign="top" align="left"><input name="sender" size="30" value="<%=sender%>"></td>
<td valign="top" align="left">
	<a href="#" tiptext="titleSender">	
	<img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
            
   	<div id="titleSender" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
	<%= productName %> will try to match the FROM address with
	this string. Rules for this profile will apply if a matching string is found in the FROM field. If you wish to handle multiple domain
	with the same profile, you can enter a regular expression like:
	
	<pre>
(@domainOne.com|@domainTwo.com|onlyOneUser@domainThree.com)
	</pre>
	<p>
	Refer to an example below for details.
		
		
   	</div>


</td>
</tr>

<tr>
<td valign="top" align="left"><b>Recipient string</b></td>
<td valign="top" align="left"><input name="recipient" size="30" value="<%=recipient%>"></td>
<td valign="top" align="left">

	<a href="#" tiptext="titleSender">	
	<img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
            
   	<div id="titleSender" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
	This string is compared to the TO/CC/BCC address in an email. Rules for this profile will apply if a matching 
	string is found in any of these fields. If you wish to handle multiple domain
	with the same profile, you can enter a regular expression like:
<pre>
(@domainOne.com|@domainTwo.com|onlyOneUser@domainThree.com)
</pre>


		
   	</div>



</td>
</tr>


<tr>
<td valign="top" align="left"><b>Allow viewing emails</b></td>
<td valign="top" align="left"><input type="checkbox" name="allowViewing" <%=request.getAttribute("allowViewing") %> value="1" ></td>
<td valign="top" align="left">

<a href="#" tiptext="titleAllowViewing">	
	<img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
            
   	<div id="titleAllowViewing" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
	When checked, the admin will be able to view emails belonging to every user.
   	</div>
</td>
</tr>




<tr>
<td colspan="3" align="center"><input alt="Submit Form" class="form_button" type="image" src="<%= imagePath %>button_blank.png" /></td>
</tr>
</table>

<input type="hidden" name="operation" value="62">
<input type="hidden" name="profileId" value="<%=profileId%>">
<input type="hidden" name="profileIndex" value="<%=profileIndex%>">
</form>





<table>
<tr><td valign="top"><img src="<%= imagePath %>tip.gif"></td>
<td valign="top">

<table width="50%"><tr><td>
<h3>Usage Example</h3>
</td></tr>
</table>



<table>
<tr>

<td bgcolor="#EEEEEE">

Let's say you create two profiles with the following settings:
<br><br>
<table width="100%" class="greyborder">
<tr>
<td><b><u>Friendly Name</u></b></td><td>Profile A</td> <td>Profile B</td>
</tr>
<tr>
<td><b>Sender</b></td><td>@comanyA.com</td> <td>&lt;Blank&gt;</td>
</tr>
<tr>
<td><b>Recipient</b></td><td>@comanyB.com</td> <td>@companyC.com</td>
</tr>

</table>

<br><br>
Assuming the above scenario following email will be handled by <b>Profile A</b>
<pre>
From: someone@companyA.com
To: someone@somewhere.com
Subject: Hello

Hello there!
</pre>


<br><br>
Assuming the above scenario following email will be handled by <b>Profile B</b>
<pre>
From: someone@somewhere.com
To: someone@companyC.com
Subject: Hello

Hello there!
</pre>

<p>
Assuming the above scenario following email will be handled by the <b>default profile</b>
<pre>
From: someone@somewhere.com
To: someone@someOtherCompany.com
Subject: Hello

Hello there!
</pre>


</td>
</tr>


</table>

</td>
</tr>
</table>











</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
