<%@ page import="com.synametrics.commons.util.net.*" %>
<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Managing Host File", "current", true));


//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>





<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>


<h2>Local Hosts File</h2>
The local hosts file is used to resolve MX records for domains. If a domain name is found in this
file <%= productName %> will not query a DNS server to lookup for an MX entry and will use the values
specified in this file.

<h3>Current List</h3>


<table cellspacing="1" bgcolor="Black" width="80%">
<tr bgcolor="Black">
    <td><font color="White"><b>Domain Name</b></font></td>
    <td><font color="White"><b>IP Address</b></font></td>
    <td><font color="White"><b>Action</b></font></td>
</tr>


<%
Enumeration<String> allEntries = (Enumeration<String>) request.getAttribute("allEntries");
String rowColor;
String whiteColor = "#FFFFFF";
String greyColor = "#DDDDDD";

int rowCount = 0;
while(allEntries.hasMoreElements()){
    rowCount++;
    String name = (String)allEntries.nextElement();
    String value = LocalDNS.getInstance().getIP(name);

    if((rowCount % 2) == 0){
        rowColor = whiteColor;
    }else{
        rowColor = greyColor;
    }

    %>
    <tr bgcolor="<%=rowColor%>">
    <td><%=name%></td>
    <td><%=value%></td>
    <td><a href="<%=response.encodeURL("FrontController?operation=85&type=d") %>&name=<%=name%>">Remove</a></td>
	</tr>

    <%
}
%>
</table>


<%
if(rowCount == 0){
 	out.print("<br><b>No entries are found in Local Hosts file</b>");
}
%>

<h3>Add a new domain</h3>

<form action="<%= request.getAttribute("appPath") %>" method="post">
<table>
<tr>
    <td><b>Domain Name: </b></td><td><input type="text" name="name" size="20"/> Eg. yourCompany.com</td>
</tr>
<tr>
    <td><b>IP Address: </b></td><td><input type="text" name="value" size="20"/> Eg. 192.168.1.150</td>
</tr>
<tr>
    <td></td><td><input type="submit" value="Add"/></td>
</tr>
</table>
<input type="hidden" name="operation" value="85" />
<input type="hidden" name="type" value="i" />

</form>


</td>
<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
