<%
String versionString = "Version " + com.synametrics.xeams.util.VersionManager.MAJOR_VERSION_NUMBER + 
					", build " + com.synametrics.xeams.util.VersionManager.CURRENT_BUILD_NUMBER;

int pageIdentifier = 0;
String imagePath = com.synametrics.xeams.util.SMFrontResourceHandler.getImagePath();
String productName = com.synametrics.xeams.util.SMFrontResourceHandler.getProductName();
String domainName = com.synametrics.xeams.util.SMFrontResourceHandler.getDomain();
String companyName = com.synametrics.xeams.util.SMFrontResourceHandler.getCompany();
String helpSite = "http://www.xeams.com/";
int authorizationLevel = com.synametrics.xeams.webfront.servlet.helper.AdminWorker.AL_NOT_LOGGED_IN;
boolean showRightPane = true;

showRightPane = request.getAttribute("hideRightPane") == null;



//COMMENT FOR IMRAN: I got this from http://www.activema.com/
	
%>

<!DOCTYPE html public "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<HEAD>
<TITLE><%= productName %> Admin Console - <%=versionString%></TITLE>
<META NAME="Title" CONTENT="<%= productName %>">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link href="<%= imagePath %>styleSheet.css" rel="stylesheet" type="text/css">


<script type="text/javascript" src="<%= imagePath %>scripts.js"></SCRIPT>
<script type="text/javascript" src="<%= imagePath %>popupTips.js"></SCRIPT>
<script type="text/javascript" src="<%= imagePath %>tabs.js"></SCRIPT>



</HEAD>
<BODY onLoad="XeamsMenu.initialize(); roinit(); setupTabs();">
	<DIV id="blue">
	</DIV>
	<DIV id="container">
		<DIV id="header">
			<DIV class="logo"><A href="."><IMG style="width:76px;height:133px;" src="<%= imagePath %>logo.png" alt="Xeams Logo" title="Xeams Logo"/></A>
			</DIV><A href="."><IMG style="width:350px;height:30px;" src="<%= imagePath %>xeamsText.gif" class="xeamsclass" alt="Xeams Logo"/></A>
			<DIV class="est">	<%=versionString %>
			</DIV>
			<DIV class="navholder">
			</DIV>


			<UL id="nav">
				<LI><IMG src="<%= imagePath %>nav_lg_left.gif" alt=""/></LI>
				
                <%

                Integer isAuth = (Integer) request.getSession().getAttribute("authorizationLevel");
             
                if(isAuth != null){
                    authorizationLevel = isAuth.intValue();
                }
				
                boolean isViewingAllowed = request.getSession().getAttribute("isViewingAllowed") == null ||
                						   request.getSession().getAttribute("isViewingAllowed").equals("true");
                
                if(authorizationLevel >= com.synametrics.xeams.webfront.servlet.helper.AdminWorker.AL_ADMIN_USER){ //for admin menu links

                %>
                <LI><A href="<%= response.encodeURL("FrontController?operation=60") %>" id="first">Home</A>
                <DIV class="submenu">
                <%
                    if(com.synametrics.xeams.util.AppConfig.getInstance().isMultiDomain() &&
                    authorizationLevel >= com.synametrics.xeams.webfront.servlet.helper.AdminWorker.AL_SUPER_USER ){
                    %>
                        
                            <A href="<%= response.encodeURL("FrontController?operation=173") %>">Switch Profile</A>
                            <!--  <A href="<%=response.encodeURL("FrontController?operation=106") %>">Cluster Management</A> -->
                        

                    <%
                    }
                    %>
                    	<A href="Logout.jsp">Logout</A>
                    </DIV>
                </LI>
				<LI><A href="<%= response.encodeURL("FrontController?operation=3") %>">Filter Management</A>
				<DIV class="submenu">
                    <A href="<%= response.encodeURL("FrontController?operation=137") %>">Score Configuration</A>
                    <A href="<%= response.encodeURL("FrontController?operation=138") %>">Adaptive Filters</A>
                    <A href="<%= response.encodeURL("FrontController?operation=139") %>">Content Filters</A>
                    <A href="<%= response.encodeURL("FrontController?operation=140") %>">IP Filters</A>
                    <A href="<%= response.encodeURL("FrontController?operation=141") %>">Honey Pot</A>
                    <A href="<%= response.encodeURL("FrontController?operation=142") %>">Sender Policy Framework</A>
                    <A href="<%= response.encodeURL("FrontController?operation=143") %>">Message Size</A>
                    <A href="<%= response.encodeURL("FrontController?operation=144") %>">Policy Violations</A>
                    <A href="<%= response.encodeURL("FrontController?operation=145") %>">Action Management</A>
				</DIV></LI>

				<LI><A href="<%= response.encodeURL("FrontController?operation=4") %>">Reports</A>
				<DIV class="submenu">
					<A href="<%= response.encodeURL("FrontController?operation=186") %>">Authenticate Messages Summary</A>
                    <A href="<%= response.encodeURL("FrontController?operation=52") %>">Daily Activity Report</A>
                    <A href="<%= response.encodeURL("FrontController?operation=32") %>">Weekly Activity Report</A>
                    <A href="<%= response.encodeURL("FrontController?operation=33") %>">Monthly Activity Report</A>
                    <A href="<%= response.encodeURL("FrontController?operation=34") %>">Yearly Activity Report</A>
                    <A href="<%= response.encodeURL("FrontController?operation=35&type=1") %>">Activity by IP Address</A>
                    <A href="<%= response.encodeURL("FrontController?operation=20&type=custom") %>">Custom Filter Report</A>

				</DIV></LI>
				
				<%if(isViewingAllowed){ %>
				<LI><A href="<%= response.encodeURL("FrontController?operation=22") %>">Messages Repository</A>
                    <div class="submenu">
                        <A href="<%= response.encodeURL("FrontController?operation=22") %>">Search Messages</A>
                        <A href="<%= response.encodeURL("FrontController?operation=23&msgType=deleted") %>">View All Junk</A>
                        <A href="<%= response.encodeURL("FrontController?operation=23&msgType=possible") %>">View All Possible Junk</A>
                        <A href="<%= response.encodeURL("FrontController?operation=23&msgType=good") %>">View All Good</A>
                    </div>
                </li>
                
                <%
				}
                if(authorizationLevel >= com.synametrics.xeams.webfront.servlet.helper.AdminWorker.AL_SUPER_USER ){
                %>
                            
                
                
				<LI><A href="<%= response.encodeURL("FrontController?operation=158") %>">Server Configuration</A>
				<DIV class="submenu">
                    <A href="<%= response.encodeURL("FrontController?operation=158") %>">Server Configuration</A>
                    <A href="<%= response.encodeURL("FrontController?operation=533") %>">SMTP Configuration</A>
                    <A href="<%= response.encodeURL("FrontController?operation=146") %>">SMTP Proxy Configuration</A>
                    <A href="<%= response.encodeURL("FrontController?operation=191") %>">Active Directory Integration</A>
                    <A href="<%= response.encodeURL("FrontController?operation=27") %>">Change Admin Password</A>
                    <A href="<%= response.encodeURL("FrontController?operation=170") %>">Message Retention</A>
					<A href="<%= response.encodeURL("FrontController?operation=85") %>">Manage Local Host File</A>
					<A href="<%= response.encodeURL("FrontController?operation=183") %>">Manage Smart Host</A>
                    <A href="<%= response.encodeURL("FrontController?operation=500") %>">Manage Users</A>
                    <A href="<%= response.encodeURL("FrontController?operation=188") %>">Manage Alerts</A>
                    <A href="<%= response.encodeURL("FrontController?operation=174") %>">Manage Aliases</A>
                    <A href="<%= response.encodeURL("FrontController?operation=152") %>">Manage Mailing/Discussion Lists</A>
                    
                    <A href="<%= response.encodeURL("FrontController?operation=116") %>">Manage Disclaimers</A>
                    <A href="<%= response.encodeURL("FrontController?operation=129") %>">Manage Forwarders</A>
                    <A href="<%= response.encodeURL("FrontController?operation=172") %>">Manage POP3 Fetcher</A>
                    <A href="<%= response.encodeURL("FrontController?operation=65") %>">Diagnostic Check</A>
				</DIV></LI>
				
				
				<%
                	}
                %>
                
				<LI><A href="<%= response.encodeURL("FrontController?operation=195") %>">Tools</A>
				<DIV class="submenu">
                    <A href="<%= response.encodeURL("FrontController?operation=193") %>">Spam Simulator</A>
                    <A href="<%= response.encodeURL("FrontController?operation=196") %>">View Logs</A>
                    <A href="<%= response.encodeURL("FrontController?operation=78") %>">Submit Logs to Support</A>
                    <A href="<%= response.encodeURL("FrontController?operation=93") %>">About <%=productName %></A>

				</DIV></LI>


				<%
                }else if ( authorizationLevel == com.synametrics.xeams.webfront.servlet.helper.AdminWorker.AL_REGULAR_USER) {
                %>
                <LI><A href="<%= response.encodeURL("FrontController?operation=509") %>" id="first">Home</A>
				<DIV class="submenu">
					<A href="<%= response.encodeURL("FrontController?operation=509") %>">Main Menu</A>
					<%
					if(System.getProperty("allow.users.pwd.change", "true").equals("true")){
					%>
                    <A href="<%= response.encodeURL("FrontController?operation=507") %>">Change password</A>
                    <%} %>
                    <A href="Logout.jsp">Logout</A>
				</DIV>
                </LI>
                <%

                }else{
                	//This occurs when no one is logged in.
                	%>
                	<LI><A href="<%= response.encodeURL("FrontController") %>" id="first">Home</A>
                	<%
                }
                %>
                <LI><IMG src="<%= imagePath %>nav_lg_right.gif" alt="Right border"/></LI>
			</UL>
		</DIV>





























		<DIV class="main">
                <%
                if(showRightPane){
                %>
                <DIV class="contentHolder">
                <DIV id="sideright" style="">

                <DIV id="nav_callout"><H4>Did you know?</H4>
                    Xeams can route incoming messages to multiple servers?
                </DIV>


                <DIV id="callout_spacer">
                </DIV>


                <%
                //java.util.List sbuttons = (java.util.List)request.getAttribute("sideButtons");
                if(sideButtons != null && sideButtons.size() > 0){
                    %>
                    <DIV id="navlist">
                        <UL>
                            <!-- Total side buttons <%=sideButtons.size() %>  -->
                            <%
                            for(int i = 0; i < sideButtons.size(); i++){
                                UrlAnchorHolder oneButton = (UrlAnchorHolder)sideButtons.get(i);
                                if(oneButton.isSelected()){
                                    out.println("<li><a id=\"" + oneButton.getUrl() + "\">" + oneButton.getLabel() + "</a></li>");
                                }else{
                                    out.println("<li><a href=\"" + oneButton.getUrl() + "\">" + oneButton.getLabel() + "</a></li>");
                                }
                            }
                            %>

                        </UL>
                    </DIV>
                    <%
                    }




                    //Now display FAQ section

                    if(showFAQ){
                        %>
                        <DIV id="side_contact">
                            <H3>FAQ</H3>

                            <%
                            for(int i = 0; i < faqLinks.size(); i++){
                                UrlAnchorHolder oneButton = (UrlAnchorHolder)faqLinks.get(i);
                                out.println("<li><a href=\"" + oneButton.getUrl() + "\">" + oneButton.getLabel() + "</a></li><br>");
                            }
                            %>

                        </DIV>	<!-- <BR clear="left"/> -->

                        <%
                        }

                        %>
                    </DIV>

                    <DIV id="content">
                <%
                }else{
                %>

                <div id="content">
                <DIV>
                <%
                }
                %>
