<%@ page import="java.util.*, com.synametrics.commons.util.*" %>



<%
	long allocated = Runtime.getRuntime().totalMemory();
	long totalMemory = Runtime.getRuntime().maxMemory();
	long usedMemory = Runtime.getRuntime().totalMemory() - Runtime.getRuntime().freeMemory();

	int totalWidth = 296;
	
	int percentUsed = (int)((usedMemory * 100) / totalMemory);
	int percentAlloc = ((int)((allocated * 100) / totalMemory)) - percentUsed;
	int percentFree = 100 - (percentAlloc + percentUsed);
	
	
	int redWidth = percentUsed * totalWidth / 100;
	int greenWidth = percentAlloc * totalWidth / 100;
	int blueWidth = percentFree * totalWidth / 100;
	
	String usedString = (usedMemory / 1024000) + " MB";
	String allocString = (allocated / 1024000) + " MB";
	String totalString = (totalMemory / 1024000) + " MB";
	
%>
<h4>Memory Status</h4>
	<div class="globeCallout_small">
		<table width="100%">
		<tr>
		<td>Used Memory:</td><td><%=usedString%></td>
		</tr>
		
		<tr>
		<td>Allocated Memory:</td><td><%=allocString%></td>
		</tr>
		
		<tr>
		<td>Total Memory:</td><td><%=totalString%></td>
		</tr>
		
		<tr>
		<td> </td><td> </td>
		</tr>
		<tr>
		<td colspan="2">
		<img src="<%=imagePath %>memoryRed.png" width=<%=redWidth %> height=10 title="Used Memory <%=usedString %>"><img src="<%=imagePath %>memoryGreen.png" width=<%=greenWidth %> height=10 title="Allocated Memory <%=allocString %>"><img src="<%=imagePath %>memoryBlue.png" width=<%=blueWidth %> height=10 title="Total Memory <%=totalString %>">
		
		</td>
		</tr>
		
		<tr>
		<td> </td>
		<td align="right">
		<%if(authorizationLevel > com.synametrics.xeams.webfront.servlet.helper.AdminWorker.AL_ADMIN_USER){ %>
		<a href="<%= response.encodeURL("FrontController?operation=198") %>">Configure</a>
		<%}else{ out.println("&nbsp;"); } %>
		</td>
		</tr>
		</table>
	</div>