<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>
<td>


<h1>Smart Host</h1>
A Smart Host is used in Xeams to deliver out-going mail through another SMTP server (which is called a "smart host", hence the name). 
The smart host will deliver your mail to the other SMTP server on your behalf. This is exactly what you do when you use 
Outlook Express to send mail using your ISP SMTP servers.
<br><br>
Smart host is only applicable for out-going emails. It cannot be used for in-bound messages.

<%
String allDomains = (String) request.getAttribute("allDomains");
if(allDomains.length() > 0){
	%>
	<div class="syn_tilegray">
	<b>WARNING:</b> You have defined ALLDOMAINS in the local host file. You MUST remove this entry from the local host file before using Smart Host.
	<a href="<%=response.encodeURL("FrontController?operation=85") %>">Click here</a> to configure local host file.
	</div>
	<%
}

String errorMessage = (String) request.getAttribute("errorMsg");
if(errorMessage != null){
	%>
	<div class="syn_tilegray">
	<b>ERROR:</b> <%=errorMessage %>
	</div>
	<%
}

%> 


<br><br>

<form action="<%= request.getAttribute("appPath") %>" method="post">
	<table>
		<tr>
			<th>Host name:</th>
			<td><input type="text" name="hostName" value="<%=request.getAttribute("hostName")%>" title="Host name or IP address of the smart host server" size="30"></td>
		</tr>
		
		<tr>
			<th>TCP/IP Port:</th>
			<td><input type="text" name="port" value="<%=request.getAttribute("port")%>" size="5"></td>
		</tr>
		
		<tr>
			<th>User ID:</th>
			<td><input type="text" name="uid" value="<%=request.getAttribute("uid")%>" size="15" autocomplete="off" title="Leave this field blank if no authentication is required"></td>
			
		</tr>
		
		<tr>
			<th>Password</th>
			<td><input type="password" name="pwd" value="<%=request.getAttribute("pwd")%>" size="15" autocomplete="off" ></td>
		</tr>
		
		<tr>
			<th>Security</th>
			<td><input type="checkbox" name="useSTARTTLS" <%=request.getAttribute("useSTARTTLS")%> title="Check here if your server expects authentication using STARTTLS"/> Use STARTTLS </td>
		</tr>
		
		<tr>
			<th></th>
			<td><input type="checkbox" name="useSSL" <%=request.getAttribute("useSSL")%> title="Check here to connect over SSL"/>Use SSL/TLS </td>
		</tr>
		
		<tr>
			<th></th>
			<td><input type="submit" value="Save"> </td>
		</tr>
		
	</table>

	<input type="hidden" name="operation" value="184">
</form>
















</td>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
