<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="com.synametrics.xeams.util.*" %>
<%@ page import="com.synametrics.commons.ip2country.*" %>
<%@ page import="java.util.*" %>

<%@ page import="com.synametrics.xeams.util.*, com.synametrics.xeams.bean.*" %>


<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("IP Report", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "Reports");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr align="left" valign="top">

          <td width="600">

	<table width="600" border="0" cellspacing="2" cellpadding="4">
      <tr>
        <td>




<p>
<%@ include file="RedBorderTableTop.jsp" %>
Authenticated users summary
<%@ include file="RedBorderTableMiddle.jsp" %>


<p>
<table width="80%" align="center">
<tr><td>
This report display a summary of messages sent outbound using SMTP authentication. It only display messages that pass through Xeams SMTP server. 
It does <b>NOT</b> display authenticated messages that come in through the SMTP Proxy server.

<h3>Unusual activity monitor</h3>
You can setup an upper limit for the number of messages that are sent by one user. Xeams can send an email alert to the administrator when a user exceeds this limit, allowing
the administrator to take preventive measures. 
 
<br><br>
If you see a very high number next to a user, that could mean someone on the Internet has hijacked his/her password and are now misusing your server to spam.
<br><br>
<%
String message = (String) request.getAttribute("message");
		
if(message != null && message.length() > 0){
	%>
	<div class="infoMessage"><%=message %></div>
	<%
}

%>
<form action="<%= request.getAttribute("appPath") %>" method="post">
	
	<table class="inputFormTable">
		
	
	
		<tr>
			<th>Alert&nbsp;threshold: </th>
			<td><input type="text" name="authUserMessageThreshold" size="4" value="<%=request.getAttribute("authUserMessageThreshold") == null ? "51" : request.getAttribute("authUserMessageThreshold") %>" /><br>
			</td>
			<td><small>An alert email is sent to the administrator when a user exceeds this number of emails in an hour.</small></td>
		</tr>
		
		
		<tr>
			<td></td>
			<td colspan="2"><input type="submit" value="Save"></td>
			
		</tr>
	</table>
			
	<input type="hidden" name="operation" value="186">
	
</form>

</td></tr>
</table>
</p>



<table class="appTable fullWidth">
<th><b>Email Address</b></th>
<th><b>Messages</b></th>

<%

if(request.getParameter("details") != null){
	out.print("<th></th>");
}

List<AuthUserSummaryBean> summary = (List<AuthUserSummaryBean>) request.getAttribute("summary");
		
for(int i = 0; i < summary.size(); i++){
	
	String details = "";
	
	if(request.getParameter("details") != null){
		details = "<td><pre>" + summary.get(i).getDetails() + "</pre></td>";
	}
	
%>
	<tr>
		<td><%=summary.get(i).getUid() %></td>
		<td><%=summary.get(i).getMessageCount()%></td>
		<%=details %>
	</tr>
<%
}
%>

</table>

<%
if(summary.size() == 0){
	%>
	<h3>No records found</h3>
	There are several reasons for not to see any data in this report:
	<ul>
		<li>You are not using Xeams for out-bound emails and therefore, no email was sent with SMTP authentication</li>
		<li>You do not have any users in Xeams</li>
		<li>No out-bound email has been sent since Xeams was restarted</li>
	</ul>
	<%
}
%>



<%@ include file="RedBorderTableBottom.jsp" %>
</p>


	  </td>
	  </tr>
	  </table>

		  </td>
          <%@ include file="InnerRightGrey.jsp" %>
        </tr>
      </table>


<%@ include file="NewPageFooter.jsp" %>
