<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<%


String status = (String)request.getAttribute("Status");
String interestingWordCount = (String)request.getAttribute("InterestingWordCount");
String learningCurve = (String)request.getAttribute("LearningCurve");
String graduationCurve = (String)request.getAttribute("GraduationCurve");
String maxRepeat = (String)request.getAttribute("MaxRepeat");
String maxLength = (String)request.getAttribute("MaxLength");
String minLength = (String)request.getAttribute("MinLength");
String bayesianScore = (String)request.getAttribute("BayesianScore");
String totalSpamCorpus = (String)request.getAttribute("TotalSpamCorpus");
String totalHamCorpus = (String)request.getAttribute("TotalHamCorpus");
String totalSpamWord = (String)request.getAttribute("TotalSpamWord");
String totalHamWord = (String)request.getAttribute("TotalHamWord");


String learningSelected = "";
String disableSelected = "";
String enabledSelected = "";

if(status.equals("1")){
    learningSelected = " selected ";
}else if(status.equals("2")){
    disableSelected = " selected ";
}else{
    enabledSelected = " selected ";
}
%>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr align="left" valign="top">

          <td width="600">

	<table width="600" border="0" cellspacing="2" cellpadding="4">
      <tr>
        <td>

<p>



<%@ include file="RedBorderTableTop.jsp" %>
Bayesian Analysis
<%@ include file="RedBorderTableMiddle.jsp" %>
<p>
Bayesian filter is adaptive, meaning that over time it learns what you consider to be junk
and what you consider to be valid E-Mail. This filter studies the emails that you have
received in the past and based on that makes judgement about future emails.
</p>

<p>
Initially, this filter watches all incoming and outgoing messages and puts relevant information
in its database that determine the spaminess of an email. Once this database grows to a sufficient
size, <%= productName %> automatically changes the status of this filter to enabled.
</p>

<p>
Typically, you will not have to modify any settings except the score on this page.
</p>

<form action="<%= request.getAttribute("appPath") %>" method="post">

<table border="0" cellspacing="0" cellpadding="2" width="100%">


<tr>
<td valign="top"><b>Bayesian Score</b></td>
<td valign="top"><input name="BayesianScore" type="text" value="<%=bayesianScore%>" size="4"></td>
<td valign="top"><font size=-2>Score assigned to baysian analysis. This is a two way score and therefore, will assign
negative values for good emails and positive values for spam messages</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Status</b></td>
<td valign="top">
<select name="Status" size="1">
<option value="1" <%=learningSelected%> >Learning</option>
<option value="3" <%=enabledSelected%>>Enabled</option>
<option value="2" <%=disableSelected%>>Disabled</option>

</select>
</td>
<td valign="top"><font size=-2>Status will automatically change to enabled after <%= productName %> has analysed sufficient data</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Interesting word count</b></td>
<td valign="top"><input name="InterestingWordCount" type="text" value="<%=interestingWordCount%>" size="4"></td>
<td valign="top"><font size=-2>A Bayesian filter extracts a few words from every message for analysis.
These words usually have a high probability of either being spammy or hammy. Do NOT change this value
if you are not sure how bayesian works.
</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Repeat Count</b></td>
<td valign="top"><input name="MaxRepeat" type="text" value="<%=maxRepeat%>"  size="4"></td>
<td valign="top"><font size=-2>This variable defines the maximum number of times a
word should be counted if it appears more than one in an email.
</font></td>
<tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Minimum Length</b></td>
<td valign="top"><input name="MinLength" type="text" value="<%=minLength%>" size="4"></td>
<td valign="top"><font size=-2>Minimum lenght of words to be considered for analysis
</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Maximum Length</b></td>
<td valign="top"><input name="MaxLength" type="text" value="<%=maxLength%>" size="4"></td>
<td valign="top"><font size=-2>Maximum lenght of words to be considered for analysis
</font></td>
<tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Learning Curve</b></td>
<td valign="top"><input name="LearningCurve" type="text" value="<%=learningCurve%>" size="4"></td>
<td valign="top"><font size=-2><%= productName %> will analyse this many emails before automatically enabling
Bayesian filtering.
</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Graduation Curve</b></td>
<td valign="top"><input name="GraduationCurve" type="text" value="<%=graduationCurve%>" size="4"></td>
<td valign="top"><font size=-2>Bayesian database will stop learning once this many emails have been analysed. Once
    this stage is reached the database will only change if a user explicitly marks an email good or spam.
</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Total spam messages analysed</b></td>
<td valign="top"><%=totalSpamCorpus%></td>
<td valign="top"><font size=-2>Number of spam messages analysed so far</font></td>
<tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Total good messages analysed</b></td>
<td valign="top"><%=totalHamCorpus%></td>
<td valign="top"><font size=-2>Number of good messages analysed so far</font></td>
<tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Total spam filters</b></td>
<td valign="top"><%=totalSpamWord%></td>
<td valign="top"><font size=-2>Number of filters currently considered for spam messages</font></td>
<tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td valign="top"><b>Total good filters</b></td>
<td valign="top"><%=totalHamWord%></td>
<td valign="top"><font size=-2>Number of filters currently considered for good messages</font></td>
<tr>

<tr><td align="right" colspan="3"><input alt="Submit Form" class="form_button" type="image" src="<%= imagePath %>button_blank.png" /></td>


</table>


<input type="hidden" name="operation" value="54">
</form>
<!-- Scoring table ends here -->
<%@ include file="RedBorderTableBottom.jsp" %>




<p>
&nbsp;
</p>

<%@ include file="RedBorderTableTop.jsp" %>
Shrink Bayesian Database
<%@ include file="RedBorderTableMiddle.jsp" %>
<p>
The number of bayesian filters can grow to a large number over time. If you see too much
memory being used by <%= productName %>, you might want to shrink the bayesian database. We recommend
that you shrink this database if the number of filters go over 1,000,000.

<p>
    Click the button below to access Bayesian Shrinking Wizard.
</p>
<p align="center">
<form action="<%= request.getAttribute("appPath") %>" method="GET">

<input type="hidden" value="79" name="operation"/>
<input type="submit" value="Shrink Now" />

</form>
</p>

<%@ include file="RedBorderTableBottom.jsp" %>


	  </td>
	  </tr>
	  </table>

		  </td>
          <%@ include file="InnerRightGrey.jsp" %>
        </tr>
      </table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
