<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.synametrics.xeams.users.User" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>





<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
<a href="<%=response.encodeURL("FrontController?operation=500") %>">User Administration</a>


<%
String message = (String)request.getAttribute("message");
if(message != null){
	%>
	<div class="infoMessage"><%=message %></div>
	<%
}
%>

<h2>User report schedule</h2>
User notification reports can be sent multiple times. These reports contain a list of email address that have been quarantined by
the server. Users can view as well as restore any quarantined message by just clicking on the appropriate link.<br><br>

<b>Note:</b> Reports sent at midnight will include data for the previous day.<br><br>

<div class="syn_tilegray">
<%
User tempUser = new User();
%>
<form action="<%= request.getAttribute("appPath") %>" method="post">
Using the following block you can apply one schedule to every user in the system.
<table>
<tr>
	<th>Modify every user.</th>
	<td><%= tempUser.generateHTMLSelectOptionsForReportTimes("everyUser_") %></td>
</tr>
<tr>
	<th></th>
	<td><input type="submit" value="Save" title="Click here to apply this schedule to every user."</td>
</tr>
</table>

<input type="hidden" name="operation" value="180" >
</form>
</div>



<br><br>
<h3>Actual users</h3>

Following is a list of every user along with the time when they receive notification emails.

<form action="<%= request.getAttribute("appPath") %>" method="post">
<table class="inputFormTable">
<tr>
<th class="brownHeader">User email</th>
<th class="brownHeader">Schedule</th>
</tr>
<%
List<User> users = (List<User>)request.getAttribute("users");
for(int i = 0; i < users.size(); i++){
	%>
	<tr>
		<td><%=users.get(i).getEmail() %></td>
		<td><%=users.get(i).generateHTMLSelectOptionsForReportTimes(users.get(i).getEmail() + "_") %></td>
	</tr>
	<%
}

if(users.size() > 0){
	%>
	<tr>
		<td></td>
		<td><input type="submit" value="Save"></td>
	</tr>
	<%
}else{
	%>
	<tr><td colspan=2>
	No users have been created on the system. You must create at least one user before assigning a schedule for notification reports.
	</td></tr>
	<%
}
%>
</table>
<input type="hidden" name="operation" value="180">
</form>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
