<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%
List sideButtons = new ArrayList(5);
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "ModifyFilters");


%>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>


<%
    RulesProfile aProfile = (RulesProfile)request.getAttribute("RulesProfile");

    if(aProfile == null){
    out.println("Error. Rules profile is null");
    return;
    }
%>


<%
int spamThreshold = aProfile.getScoreThreshold();
int possibleThreshold = aProfile.getGreyAreaThreshold();

String bayesianStatus = (String)request.getAttribute("BayesianStatus");

String autoLearnSender = aProfile.isAutoLearnSender() ? "Enabled" : "Disabled";
String enableSpf = aProfile.getSpfFilter().isEnabled() ? " checked " : " ";


int goodPercent = (possibleThreshold + 50) / 2;  //This is actuall (possibleThreashold + 50) * 100 / 200
                                                 //I add 50 because the score scale starts from -50, not 0
                                                 //and the total lenght is 200, not 100

int possiblePercent = ((spamThreshold + 50) / 2) - goodPercent;

int spamPercent = 100 - (goodPercent + possiblePercent);


%>
<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>


<p>

This screen is used to view and modify rules that affect any email (inbound and outbound) that passes
through the Rules Engine.
</p>
<p>
    <b>Quick Links:</b>
<ul>
    <li><a href="#scoreThreshold">Score Configuration</a> - Modify score settings</li>
    <li><a href="#adaptiveFilters">Adaptive Filters</a> - Modify bayesian and auto-learn sender</li>
    <li><a href="#contentFilters">Content Filters</a> - Modify content filters like body, subject, etc.</li>
    <li><a href="#ipFilters">IP Filters</a> - Modify filters based on IP address</li>
    <li><a href="#honeyPot">Honey Pot</a> - Modify content filters like body, subject, etc.</li>
    <li><a href="#spf">SPF</a> - Prevent message forgery with SPF</li>
    <li><a href="#messageSize">Message Size</a> - Filters based on the size of a message</li>
    <li><a href="#policyViolation">Policy Violation Alerts</a> - Configure policy violation alerts</li>
    <li><a href="#modifyActions">Actions</a> - Configure the final destination of a message</li>
</ul>

</p>

<a name="scoreThreshold"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Score Configuration
<%@ include file="RedBorderTableMiddle.jsp" %>
<!-- Scoring table starts here -->

<p>

			<%= productName %> uses a sophisticated score
            based filtering system to determine if an email should
            be considered junk. Every email that you receive is assigned a score. Based
            on its score, an email falls into one of these three
            categories:
			<ul>
            <li><font color="#00AA00"><b>Good Emails</b></font> - Emails whose
            score is less than <%=possibleThreshold%>
            <li><font color="blue"><b>Possible Junk</b></font> - Emails whose score is between <%=possibleThreshold%> and <%=(spamThreshold - 1)%>
            <li><font color="red"><b>Junk Emails</b></font> - Emails whose score is
              greater or equal to <%=spamThreshold%>

			</ul>


            <P>

            <div align="center">
			<TABLE width="70%" cellspacing="0" border="0" cellpadding="0">

              <TR>
                <TD width="<%=goodPercent%>%" bgcolor="#00AA00" height="8"><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
                <TD width="<%=possiblePercent%>%" bgcolor="blue" height="8" ><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
				<TD width="<%=spamPercent%>%" bgcolor="red" height="8"><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
                </TR>
              </TABLE>

			  <TABLE width="70%" cellspacing="0" border="0" cellpadding="0">
			  <TR>
                <TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
                <TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
				<TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
                <TD width="25%"><table width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><font size="-4">|</font></td><td align="center"><font size="-4">|</font></td><td align="right"><font size="-4">|</font></td></tr></table></TD>
			  </TR>
			  </TABLE>

			  <TABLE width="70%" cellspacing="0" border="0" cellpadding="0">
			  <TR>
                <TD width="12%"><font size="-4">-50</font></TD>
				<TD width="13%"><font size="-4">-25</font></TD>
                <TD width="12%"><font size="-4">0</font></TD>
				<TD width="13%"><font size="-4">25</font></TD>
				<TD width="12%"><font size="-4">50</font></TD>
				<TD width="13%"><font size="-4">75</font></TD>
                <TD width="25%"><table width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><font size="-4">100</font></td><td align="center"><font size="-4">125</font></td><td align="right"><font size="-4">150</font></td></tr></table></TD>
			  </TR>
			  </TABLE>

			  <table width="70%" cellspacing="0" border="0">
			  <tr><td align="center"><%= productName %> Scoring chart</td></tr>
			  </table>

				</div>

<p>


<form action="<%= request.getAttribute("appPath") %>" method="post">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="5">
<tr>
<td width="60%" valign="top">
The score threshold for possible Junk and Junk are set at 60 and 100 by <%= productName %>. Our research
			shows that these values should work for most of the users. However, if you think you need to change them
			you can specify different values here.
</td>
<TD width="1%"><IMG src="<%= imagePath %>dash.gif" width="1" height="100%"></td>

<td width="39%">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td>Spam threshold:</td><td><input type="text" name="txtSpamScore" size="3" value=<%=spamThreshold%>></td></tr>
<tr><td>Possible spam threshold:</td><td><input type="text" name="txtPossibleSpamScore" value=<%=possibleThreshold%> size="3" /></td></tr>
<tr><td colspan="2"><hr></td>

</table>





</td>
</tr>
</table>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="5">


<tr>
<td valign="top">Domain Validation Score:</td>
<td valign="top"><input type="text" name="txtDomainValidation" size="3" value="<%=aProfile.getDomainValidationWeight()%>"></td>
<td valign="top"><font size="-2">This is the score that will be assigned to an email if no MX record is found for the sender's domain</font></td>
</tr>

<tr>
<td valign="top">Bypass authenticated users:</td>
<td valign="top"><input type="checkbox" name="chkBypassAuthUser" value="yes" <%=aProfile.isBypassAuthenticatedUsers() ? " checked " : ""%>></td>
<td valign="top"><font size="-2">If checked no filtering will occur if the user is authenticated. Check this option
if you do not want to filter any outbound messages.</font></td>
</tr>

<tr>
<td valign="top">Deletion Threshold:</td>
<td valign="top"><input type="text" name="txtDeletionThreshold" size="3" value="<%=aProfile.getDeletionThreshold()%>"></td>
<td valign="top"><font size="-2">If an email score is higher than this number that email will be deleted. Deleted emails are not
saved and therefore, cannot be restored.</font></td>
</tr>

<tr><td align="right" colspan="2"></td><td><input type="image" class="form_button" src="<%= imagePath %>button_blank.png"></td></tr>
</table>

<input type="hidden" name="txtContentValidation" value="100">
<input type="hidden" name="txtIPValidation" value="100">
<input type="hidden" name="operation" value="5">
</form>

</p>

<!-- Scoring table ends here -->
<%@ include file="RedBorderTableBottom.jsp" %>

<p>




<a name="adaptiveFilters"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Adaptive Filters
<%@ include file="RedBorderTableMiddle.jsp" %>
<p>
Adaptive filters are also known as self-learning filters. They update themselves
as new emails come in into your system.
</p>

<table border="0" cellspacing="0" cellpadding="2" width="100%">


<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Name</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Status</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Action</font></th>


<tr>
<td>Bayesian Analysis</td>
<td><%=bayesianStatus%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=53&type=attachment") %>">View/Edit</a></td>
</tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td>Auto-Learn Sender</td>
<td><%=autoLearnSender%></a></td>
<td><a href="<%=response.encodeURL("FrontController?operation=56&type=attachment") %>">View/Edit</a></td>
<tr>

</table>
<!-- Scoring table ends here -->
<%@ include file="RedBorderTableBottom.jsp" %>

<p>
&nbsp;
</p><a name="contentFilters"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Content Filtering
<%@ include file="RedBorderTableMiddle.jsp" %>
<!-- Content Filtering -->

<p>
Following is a list of filters that affect how every email gets scored.
</p>

<table border="0" cellspacing="0" cellpadding="2" width="100%">


<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Name</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Count</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Action</font></th>


<tr>
<td>Attachment</td>
<td><%=(String)request.getAttribute("AttachmentCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=attachment") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>


<tr>
<td>Sender</td>
<td><%=(String)request.getAttribute("SenderCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=sender") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td>Subject</td>
<td><%=(String)request.getAttribute("SubjectCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=subject") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>


<tr>
<td>Body</td>
<td><%=(String)request.getAttribute("BodyCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=body") %>">View/Edit</a></td>
</tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>


<tr>
<td>Header</td>
<td><%=(String)request.getAttribute("HeaderCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=header") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>


<tr>
<td>Custom Filter</td>
<td><%=(String)request.getAttribute("CustomCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=custom") %>">View/Edit</a></td>
<tr>

</table>
</p>
<%@ include file="RedBorderTableBottom.jsp" %>


<p>

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<a name="ipFilters"></a>
<%@ include file="RedBorderTableTop.jsp" %>
IP Filtering
<%@ include file="RedBorderTableMiddle.jsp" %>
<!-- Content Filtering -->

<p>
Following is a list of filters based on IP Address that affect how every email gets scored.
</p>

<table border="0" cellspacing="0" cellpadding="2" width="100%">


<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Name</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Count</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Action</font></th>


<tr>
<td>Country Filtering</td>
<td><%=(String)request.getAttribute("CountryCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=121") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>


<tr>
<td>Black Listed IP Addresses</td>
<td><%=(String)request.getAttribute("BlackListedIPCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=blackIPList") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>



<tr>
<td>White Listed IP Addresses</td>
<td><%=(String)request.getAttribute("WhiteListedIPCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=9&type=whiteIPList") %>">View/Edit</a></td>
</tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>

<tr>
<td colspan="3"></td>
<tr>

<tr>
<td>RBL Server</td>
<td><%=(String)request.getAttribute("RBLCount")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=6") %>">View/Edit</a></td>
</tr>

<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%"></td></tr>



</table>
</p>
<%@ include file="RedBorderTableBottom.jsp" %>



<!--  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~      -->
<p>
<a name="honeyPot"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Honey Pot
<%@ include file="RedBorderTableMiddle.jsp" %>
<!-- Content Filtering -->

<p>
Honey pot is a mechanism that invites spammers to send messages to some pre-defined addresses on your
server. Here is how it works:

<ul>
    <li>You designate a hand full of email addresses in your domain that do not belong to any one. For example,
        mickey.mouse@yourcompany.com or john.nobody@yourcompany.com</li>
    <li>Subscribe to different online services or post messages on public news groups using these addresses.</li>
    <li>Hopefully, spammers will collect these addresses and start sending messages to them.</li>
    <li>Since no real person should be sending messages to these email addresses, <%=productName %> will know
    they are coming from spammer. </li>
    <li><%=productName %> will black list their IP address for a period for a certain amount of time.</li>

</ul>

</p>

<table border="0" cellspacing="0" cellpadding="2" width="100%">


<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Name</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Filter Count</font></th>
<th bgcolor="#EDECE3" align="left"><font color="Black">Action</font></th>


<tr>
<td>Manage Honey Pot Emails</td>
<td><%=(String)request.getAttribute("HoneyPotEmails")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=132") %>">View/Edit</a></td>
</tr>


</tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%" alt="Gradient"></td></tr>


<tr>
<td>Manage IP addresses</td>
<td><%=(String)request.getAttribute("HoneyPotIPs")%></td>
<td><a href="<%=response.encodeURL("FrontController?operation=135") %>">View/Edit</a></td>
</tr>


<tr><td colspan="3" align="center"><img src="<%= imagePath %>GradientLine.gif" height="1" width="100%" alt="Gradient"></td></tr>





</table>
</p>
<%@ include file="RedBorderTableBottom.jsp" %>

</p>






<p><a name="spf"></a>
<%@ include file="RedBorderTableTop.jsp" %>
SPF Lookup
<%@ include file="RedBorderTableMiddle.jsp" %>


    Sender Policy Framework stops email address forgery and makes it easier to identify spam, worms and viruses.
    Many companies on the Internet have started using SPF records in their DNS server. To learn more about SPF,
    visit <a href="<%=com.synametrics.xeams.util.SMFrontResourceHandler.getResourceURL()%>Spf.htm">SPF Page</a>
    on <%= productName %>'s main web site.

    <p>When an email arrives <%= productName %> queries the SPF entries in the DNS and compares it with the IP address
        the message is coming in from. Scores are assigned to the message based on the match. You can adjust these
        scores below.


        <form action="<%= request.getAttribute("appPath") %>" method="post">
        <table>
        	<tr>
                <td valign="top" colspan="2" width="175"><b>Enable SPF: </b> <input type="checkbox" name="chkSpfEnabled" value="on" <%=enableSpf%> /></td>
                <td valign="top"><font size="-2">Uncheck this box if you do not want to use SPF lookups</font></td>
        	</tr>
            <tr><td colspan="3"><br /></td></tr>
			<tr bgcolor="#EDECE3"><td colspan="2"><h3>SPF Scores</h3></td>
            <td align="right"><a href="<%=response.encodeURL("FrontController?operation=194") %>">Manage Trusted Domains</a>
            </td>
            </tr>

            <tr>
                <td valign="top" align="right"><b>Trusted domain: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfTrustedPassScore" value="<%=aProfile.getSpfFilter().getSPFScore().getTRUSTEDPASSScore()%>"/> </td>
				<td valign="top"><font size="-2">Score assigned when email is sent from a published IP and the domain
                is trusted. <a href="<%=response.encodeURL("FrontController?operation=194") %>"><font size="-2">Click here</font></a> to manage trusted domains for SPF filter.</font> <p /></td>
        	</tr>
            <tr>
                <td valign="top" align="right"><b>PASS: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfPassScore" value="<%=aProfile.getSpfFilter().getSPFScore().getPASSScore()%>"/> </td>
				<td valign="top"><font size="-2">Score assigned when email is sent from a published IP. Note that
                spammers can use valid domain to send spam. Therefore, do not give too much credit to the email
                if SPF lookup passes</font><p /></td>
        	</tr>
            <tr>
                <td valign="top" align="right"><b>FAIL: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfFailScore" value="<%=aProfile.getSpfFilter().getSPFScore().getFAILScore()%>"/> </td>
				<td valign="top"><font size="-2">Score assigned when email address is forged.</font><p /></td>
        	</tr>
            <tr>
                <td valign="top" align="right"><b>NEUTRAL: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfNeutralScore" value="<%=aProfile.getSpfFilter().getSPFScore().getNEUTRALScore()%>"/> </td>
        		<td valign="top"><font size="-2">Score assigned when SPF lookup cannot validate the sender's IP</font><p /></td>
            </tr>
            <tr>
                <td valign="top" align="right"><b>SOFTFAIL: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfSoftfailScore" value="<%=aProfile.getSpfFilter().getSPFScore().getSOFTFAILScore()%>"/> </td>
                <td valign="top"><font size="-2">Score assigned when the message does not meet a domain's strict
                    definition of legitimacy, but the domain cannot confidently state that the
                    message is a forgery</font><p /></td>
        	</tr>


            <td align="right" colspan="3"><input type="image" class="form_button" src="<%= imagePath %>button_blank.png"></td>

        </table>
		<input  type="hidden" name="operation" value="97"/>
        </form>
    </p>

<%@ include file="RedBorderTableBottom.jsp" %>
</p>




<p><a name="messageSize"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Maximum Message Size
<%@ include file="RedBorderTableMiddle.jsp" %>

<%@ include file="MaxEmailSizeConfig.jsp" %>
<%@ include file="RedBorderTableBottom.jsp" %>





<p><a name="policyViolation"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Policy Violation Alerts
<%@ include file="RedBorderTableMiddle.jsp" %>

<%@ include file="PolicyViolationAlertsList.jsp" %>
<%@ include file="RedBorderTableBottom.jsp" %>




<p>
<a name="modifyActions"></a>
<%@ include file="RedBorderTableTop.jsp" %>
Actions
<%@ include file="RedBorderTableMiddle.jsp" %>

<%@ include file="DisplayActionEditPage.jsp" %>
<%@ include file="RedBorderTableBottom.jsp" %>









</td>
</tr>
</table>


<%@ include file="NewPageFooter.jsp" %>
