<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*, com.synametrics.xeams.defaults.*" %>
<%
List sideButtons = new ArrayList(5);
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "ModifyFilters");


%>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>


<%
    RulesProfile aProfile = (RulesProfile)request.getAttribute("RulesProfile");

    if(aProfile == null){
    out.println("Error. Rules profile is null");
    return;
    }
%>


<%
int spamThreshold = aProfile.getScoreThreshold();
int possibleThreshold = aProfile.getGreyAreaThreshold();

String bayesianStatus = (String)request.getAttribute("BayesianStatus");

String autoLearnSender = aProfile.isAutoLearnSender() ? "Enabled" : "Disabled";
String enableSpf = aProfile.getSpfFilter().isEnabled() ? " checked " : " ";


int goodPercent = (possibleThreshold + 50) / 2;  //This is actuall (possibleThreashold + 50) * 100 / 200
                                                 //I add 50 because the score scale starts from -50, not 0
                                                 //and the total lenght is 200, not 100

int possiblePercent = ((spamThreshold + 50) / 2) - goodPercent;

int spamPercent = 100 - (goodPercent + possiblePercent);


%>

<a href="<%=response.encodeURL("FrontController?operation=3") %>">&lt;&lt; Back to filter management</a><br>

<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>


<h3>Overall score configuration</h3>
<p>



<a name="scoreThreshold"></a>

<!-- Scoring table starts here -->

<p>

			<%= productName %> uses a sophisticated score
            based filtering system to determine if an email should
            be considered junk. Every email that you receive is assigned a score. Based
            on its score, an email may&nbsp;fall into one of these three
            categories:
			<ul>
            <li><font color="<%=DefaultColors.getInstance().getGoodColorForHtml()%>"><b>Good Emails</b></font> - Emails with score less than <%=possibleThreshold%>
            <li><font color="<%=DefaultColors.getInstance().getGreyColorForHtml()%>"><b>Possible Junk</b></font> - Emails with score between <%=possibleThreshold%> and <%=(spamThreshold - 1)%>
            <li><font color="<%=DefaultColors.getInstance().getJunkColorForHtml()%>"><b>Junk Emails</b></font> - Emails with score greater or equal to <%=spamThreshold%>

			</ul>


            <P>

            <div align="center">
			<TABLE width="70%" cellspacing="0" border="0" cellpadding="0">

              <TR>
                <TD width="<%=goodPercent%>%" bgcolor="<%=DefaultColors.getInstance().getGoodColorForHtml()%>" height="8"><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
                <TD width="<%=possiblePercent%>%" bgcolor="<%=DefaultColors.getInstance().getGreyColorForHtml()%>" height="8" ><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
				<TD width="<%=spamPercent%>%" bgcolor="<%=DefaultColors.getInstance().getJunkColorForHtml()%>" height="8"><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
                </TR>
              </TABLE>

			  <TABLE width="70%" cellspacing="0" border="0" cellpadding="0">
			  <TR>
                <TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
                <TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
				<TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
                <TD width="25%"><table width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><font size="-4">|</font></td><td align="center"><font size="-4">|</font></td><td align="right"><font size="-4">|</font></td></tr></table></TD>
			  </TR>
			  </TABLE>

			  <TABLE width="70%" cellspacing="0" border="0" cellpadding="0">
			  <TR>
                <TD width="12%"><font size="-4">-50</font></TD>
				<TD width="13%"><font size="-4">-25</font></TD>
                <TD width="12%"><font size="-4">0</font></TD>
				<TD width="13%"><font size="-4">25</font></TD>
				<TD width="12%"><font size="-4">50</font></TD>
				<TD width="13%"><font size="-4">75</font></TD>
                <TD width="25%"><table width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><font size="-4">100</font></td><td align="center"><font size="-4">125</font></td><td align="right"><font size="-4">150</font></td></tr></table></TD>
			  </TR>
			  </TABLE>

			  <table width="70%" cellspacing="0" border="0">
			  <tr><td align="center"><%= productName %> Scoring chart</td></tr>
			  </table>

				</div>

<p>


<form action="<%= request.getAttribute("appPath") %>" method="post">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="5">
<tr>
<td width="60%" valign="top">
The score threshold for possible Junk and Junk are set at 60 and 100 by <%= productName %>. Our research
			shows that these values should work for most of the users. However, if you think you need to change them
			you can specify different values here.
</td>
<TD width="1%"><IMG src="<%= imagePath %>dash.gif" width="1" height="100%"></td>

<td width="39%">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td>Spam threshold:</td><td><input type="text" name="txtSpamScore" size="3" value=<%=spamThreshold%>></td></tr>
<tr><td>Possible spam threshold:</td><td><input type="text" name="txtPossibleSpamScore" value=<%=possibleThreshold%> size="3" /></td></tr>
<tr><td colspan="2"><hr></td>

</table>





</td>
</tr>
</table>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="5">

<tr>
<td valign="top">Enable filtering:</td>
<td valign="top"><input type="checkbox" name="chkFilteringEnabled" value="1"  <%= aProfile.isFilteringEnabled() ? "checked='checked'" : ""  %>></td>
<td valign="top"><font size="-2">Every filtering rule will be disabled if this box is <b>NOT</b> checked.</font></td>
</tr>


<tr>
<td valign="top">Domain Validation Score:</td>
<td valign="top"><input type="text" name="txtDomainValidation" size="3" value="<%=aProfile.getDomainValidationWeight()%>"></td>
<td valign="top"><font size="-2">This is the score that will be assigned to an email if no MX record is found for the sender's domain</font></td>
</tr>

<tr>
<td valign="top">Bypass authenticated users:</td>
<td valign="top"><input type="checkbox" name="chkBypassAuthUser" value="yes" <%=aProfile.isBypassAuthenticatedUsers() ? " checked " : ""%>></td>
<td valign="top"><font size="-2">If checked no filtering will occur if the user is authenticated. Check this option
if you do not want to filter any outbound messages.</font></td>
</tr>

<tr>
<td valign="top">Deletion Threshold:</td>
<td valign="top"><input type="text" name="txtDeletionThreshold" size="3" value="<%=aProfile.getDeletionThreshold()%>"></td>
<td valign="top"><font size="-2">If an email score is higher than this number that email will be deleted. Deleted emails are not
saved and therefore, cannot be restored.</font></td>
</tr>

<tr><td align="right" colspan="2"></td><td><input type="image" class="form_button" src="<%= imagePath %>button_blank.png"></td></tr>
</table>

<input type="hidden" name="txtContentValidation" value="100">
<input type="hidden" name="txtIPValidation" value="100">
<input type="hidden" name="operation" value="5">
</form>

</p>

<!-- Scoring table ends here -->









</td>
</tr>
</table>


<%@ include file="NewPageFooter.jsp" %>
