<%
String threshold = "100";

%>


               
<div id="titleSearchFor" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
 		
Signifies the text that will be searched in the email. <br><br>For example:<br>
<ul>
<li>Online pharmacy</li>
<li>Cheap mortgage</li>
</ul>
</div>



<div id="titleWeight" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
Every email is assigned a score, which is the sum of all the rule scores added together.
If this sum is greater than <%=threshold%>, it will be considered as junk. This value holds the score of the current
rule. For instance, if you assign <%=(Integer.parseInt(threshold) + 20)%> to this rule, every email where this rules
matches will be quarantined. Similarly, if you assign <%=(Integer.parseInt(threshold) - 2400)%> to this rule
the total score of a matching email will be much less than the <%=threshold%> and therefore, it will be treated
as good 		

</div>


<div id="titleSearchPart" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
Part of the domain you wish to match 		
</div>

<div id="titlePreprocess" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
Email body is parsed in two phases:

<ol>
<li><b>Pre-processed phase</b> - In this phase words are searched in the original email message as-is.</li>
<li><b>Post-processed phase</b> - The server formats the message by removing any noise words such as HTML tags, comments, and any character encoding.</li>
</ol> 		

If you are planning to search for HTML tags or any word that you want to parse as-is, check this box.
</div>

<div id="titleMatchCases" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
If this is checked, search will be case-sensitive 		

</div>

<div id="titleOperator" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
The value of this field tells <%= productName %> how the search should be perform.<p>
<b>Possible values are:</b>
<ul>
<li><u>Contains</u> - String being searched can appear any where. It does not have to be a word. You can use the "AND" operator when specifying this operator. For example Inkjet AND low prices</li>
<li><u>Contains word</u> - String being searched must be a word</li>
<li><u>Equals</u> - String being searched must equals the email. This operator is useful if you are getting hit by an email virus and want know the exact subject or body of the message</li>
<li><u>Starts with</u> - String being searched appear in the beginning</li>
<li><u>Ends with</u> - String being searched appear in the end</li>
<li><u>Does not contains</u> - This is opposite of 'Contains'</li>
<li><u>Is blank</u> - This is useful if you are search for blank strings, like blank subject or blank sender</li>
<li><u>Regular Expression</u> - This operator should only be used by advanced users.</li>
<a href="<%=com.synametrics.xeams.util.SMFrontResourceHandler.getResourceURL()%>RegularExpression.jsp">Click here</a> for more information
</ul>

</div>


<div id="titleExpirationDate" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
You can optionally associate an expiration date with a filter.
Expiration date is useful if you are getting hammered by any particular email, which has very innocent content. You can
temporarily add a rule that will expire after some time. 		

</div>

<!--  
<table width="100%">
	<tr>
		
		<td valign="top">

		<table width="100%"><tr><td valign="top"><img src="<%= imagePath %>tip.gif"></td><td><h1>Usage Tip</h1></td></tr></table>

		<br>
		
		<table class="brownborder">
			<tr>
				<td valign="top"><b>String to search for</b> </td><td>Signifies the text that will be searched in the email</td>
			</tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>

				<td valign="top"><b>Weight</b> </td><td>Every email is assigned a score, which is the sum of all the rule weights added together.
				If this sum is greater than <%=threshold%>, it will be considered as junk. This value holds the weight of the current
				rule. For instance, if you assign <%=(Integer.parseInt(threshold) + 20)%> to this rule, every email where this rules
				matches will be quarantined. Similarly, if you assign <%=(Integer.parseInt(threshold) - 2400)%> to this rule
				the total score of a matching email will be much less than the <%=threshold%> and therefore, it will be treated
				as good</td>
			</tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td valign="top"><b>Match Case</b> </td><td>If this is checked, the search will be case-sensitive</td>
			</tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>

				<td valign="top"><b>Operator</b> </td><td>
				The value of this field tells <%= productName %> how the search should be perform.<p>
				<b>Possible values are:</b>
				<li><u>Contains word</u> - String being searched must be a word</li>
				<li><u>Contains</u> - String being searched must can appear any where. It does not have to be a word. You can use the "AND" operator when specifying this operator. For example Inkjet AND low prices</li>
				<li><u>Equals</u> - String being searched must equals the email. This operator is useful if you are getting hit by an email virus and want know the exact subject or body of the message</li>
				<li><u>Starts with</u> - String being searched must appear in the beginning</li>
				<li><u>Ends with</u> - String being searched must appear in the end</li>
				<li><u>Does not contains</u> - This is opposite of 'Contains'</li>
				<li><u>Is blank</u> - This is useful if you are search for blank strings, like blank subject or blank sender</li>
				<li><u>Regular Expression</u> - This operator should only be used by advanced users.</li>
				<a href="<%=com.synametrics.xeams.util.SMFrontResourceHandler.getResourceURL()%>RegularExpression.jsp">Click here</a> for more information

				</td>
			</tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td valign="top"><b>Expires after</b> </td><td>You can optionally associate an expiration date with a filter.
				Expiration date is useful if you are getting hammered by any particular email, which has very innocent content. You can
				temporarily add a rule that will expire after some time.</td>
			</tr>
		</table>

</td>
</tr>
</table>

-->