<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>
<td>



<h1>Active Directory Integration</h1>
<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
	<div class="infoMessage">
		<%=infoMessage %>
	</div>
	<%
}
%>
<br><b>TIP:</b> <a href="http://www.xeams.com/ActiveDirectory.htm">Click here</a> to read more about Active Directory and how it is used in Xeams.
<br><br>
<form action="<%= request.getAttribute("appPath") %>" method="post">
	<table>
		<tr><th>Enable AD Integration</th><td colspan="2"><input type="checkbox" name="ldapLookupRequired" <%=request.getAttribute("ldapLookupRequired")%> value="1">
		<a href="#" tiptext="titleLdapLookupRequired">
    	<img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="titleLdapLookupRequired" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		If this box is not checked, every parameter below will be ignored. 			
    	</div>
		
		</td></tr>
		<tr><th>Integrate Users</th><td colspan="2"><input type="checkbox" name="ldapUserIntegration" <%=request.getAttribute("ldapUserIntegration")%> value="1">
		<a href="#" tiptext="titleUserIntegration">
    	<img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="titleUserIntegration" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		If checked, users in Xeams will be integrated with Active Directory. They can use their normal AD user id and password to login
    		to the web interface.			
    	</div>
    	
		</td></tr>
		<tr><th>Reject Invalid Users</th><td colspan="2"><input type="checkbox" name="ldapUseInSmtpRcptTo" <%=request.getAttribute("ldapUseInSmtpRcptTo")%> value="1">
		<a href="http://www.xeams.com/AdWithProxy.htm" tiptext="titleUseInSmtpRcptTo">
    	<img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="titleUseInSmtpRcptTo" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		This option only matters if you are using the regular SMTP server to receive in-bound emails. Before an email is accepted,
    		Xeams can query the AD to confirm user exist on the system. <br><br>
    		This option does not apply if you are using the SMTP Proxy Server. Click the question mark for more details. 	
    	</div>
    	
		
		</td></tr>
		
		
		<tr><th>Host Name/IP:</th><td colspan="2"><input type="text" name="ldapServerHost" value="<%=request.getAttribute("ldapServerHost")%>" > </td></tr>
		<tr><th>AD Domain Name:</th><td colspan="2"><input type="text" name="ldapRootName" value="<%=request.getAttribute("ldapRootName")%>" ></td></tr>
		<tr><th>Base DN:</th><td colspan="2"><input type="text" name="ldapBaseDN" value="<%=request.getAttribute("ldapBaseDN")%>" ></td><td>
			<%
			if(request.getAttribute("suggestedBaseDN") == null){
				%>
				<b>Tip:</b> Leave this field blank to see suggested values for BaseDN.
				<%
			}else{
				%>
				<b>Suggested values</b>
				<ul>
				<%= request.getAttribute("suggestedBaseDN")%>
				</ul>
				<%
			}
			%>
		</td></tr>
		<tr><th>Administrator's User ID:</th><td colspan="2"><input type="text"  name="ldapUser" value="<%=request.getAttribute("ldapUser")%>" ></td></tr>
		<tr><th>Password:</th><td colspan="2"><input type="password" name="ldapPwd" value="<%=request.getAttribute("ldapPwd")%>" ></td></tr>
		
		<tr><th></th><td colspan="2"><input type="submit"></td></tr>
		<input type="hidden" name="operation" value="191">
		<input type="hidden" name="st" value="save">
	</table>
</form>


</td>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
