<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Logging Configuration", "current", true));


//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>




<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">



<td>



<%
String proxy = (String)request.getAttribute("proxy");
String staging = (String)request.getAttribute("staging");
String outbound = (String)request.getAttribute("outbound");
String performance = (String)request.getAttribute("performance");
String challengeResponse = (String)request.getAttribute("challengeResponse");
String restore = (String)request.getAttribute("restore");
String smtpQueue = (String)request.getAttribute("smtpQueue");
String successTrail = (String)request.getAttribute("successTrail");
String failureTrail = (String)request.getAttribute("failureTrail");
String proxyTrail = (String)request.getAttribute("proxyTrail");
String ndrLog = (String)request.getAttribute("ndrLog");
String userFilters = (String)request.getAttribute("userFilters");
String imapLogging = (String)request.getAttribute("imapLogging");
String pop3Logging = (String)request.getAttribute("pop3Logging");
String confirmation = (String)request.getAttribute("confirmation");
String mailingList = (String)request.getAttribute("mailingList");
String smartHost = (String)request.getAttribute("smartHost");

if(confirmation != null){
%>
<h2>Settings successfully saved</h2>
<%
}
%>

<%= productName %> uses a sophisticated mechanism to log different events within the Rules Engine.
You can modify what gets logged to a certain extent. The table below shows a list of logs that
are available. You can enable or disable them depending upon your need.

<p>&nbsp;</p>
<form action="<%= request.getAttribute("appPath") %>" method="post">
<table cellspacing="1" bgcolor="Black" width="100%">
    <tr bgcolor="Black">
        <td><font color="White"><b>Log Name</b></font></td>
        <td><font color="White"><b>Action</b></font></td>
        <td><font color="White"><b>Description</b></font></td>
    </tr>


	<tr bgcolor="#EDECE3">
        <td valign="top">SMTP Proxy Logging</td>
        <td valign="middle" align="center">
            <input type="checkbox" name="chkProxy" <%=proxy%> />
        </td>
        <td valign="top">This logs SMTP communication between sender's SMTP and <%= productName %> for every e-mail
            that gets processed through the proxy server.
            <p>The log gets saved to logs/SMTPProxyConversation.log file</p>
        </td>
	</tr>


    <tr bgcolor="#FFFFFF">
        <td valign="top">SMTP Staging Logging</td>
        <td valign="middle" align="center">
            <input type="checkbox" name="chkStaging" <%=staging%> />
        </td>
        <td valign="top">This logs SMTP communication between sender's SMTP and <%= productName %> for every e-mail
            that gets processed through the staging server.
            <p>The log gets saved to logs/SMTPConversation.log file</p>
            </td>
	</tr>


    <tr bgcolor="#EDECE3">
        <td valign="top">Outbound SMTP Logging</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkOutbound" <%=outbound%> />
        </td>
        <td valign="top">This logs SMTP communication when <%= productName %> sends out messages to other SMTP
        servers, which is applies when:

        <ul>
            <li>staging server sends message to the final destination</li>
            <li>An email gets restored</li>
            <li>A challenge/response is generated</li>
        </ul>
            <p>The log gets saved to logs/SMTPOutboundConversation.log file</p>

        </td>
	</tr>

	<tr bgcolor="#FFFFFF">
        <td valign="top">Performance logging</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkPerformance" <%=performance%> />
        </td>
        <td valign="top">This logs performance metrics for any email that takes longer than 30 seconds
        to process. This information is useful in troubleshooting performance problems.
            <p>The log gets saved to logs/Performance.log file</p>
            </td>
	</tr>

    <tr bgcolor="#EDECE3">
        <td valign="top">Challenge/Response</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkChallengeResponse" <%=challengeResponse%> />
        </td>
        <td valign="top">This logs messages that were processed by the challenge/response system. It won't
        have any data if Challenge/Response is not enabled.
            <p>The log gets saved to logs/ChallengeResponse.log file</p>
            </td>
	</tr>

    <tr bgcolor="#FFFFFF">
        <td valign="top">Restoration log</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkRestore" <%=restore%> />
        </td>
        <td valign="top">This logs the file name, subject, to, and from of messages that were quarantined by <%= productName %>
            and later restored by any user.
            <p>The log gets saved to logs/EmailRestoration.log file</p>
            </td>
	</tr>

    <tr bgcolor="#EDECE3">
        <td valign="top">SMTP Queue</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkSmtpQueue" <%=smtpQueue%> />
        </td>
        <td valign="top">This logs information messages generated by Smtp Queue and might have
            some usefull messages if Outbound message queue gets filled up
            <p>The log gets saved to logs/SmtpQueue.log file</p>
            </td>
	</tr>


	<tr bgcolor="#FFFFFF">
        <td valign="top">Audit Trail - Successful</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkSuccessTrail" <%=successTrail%> />
        </td>
        <td valign="top">This log records the ipAddress of the receiving server, to, from, message length in bytes and subject of
            every email that goes out through the staging server. If you see a message in this log it means
            that it has been delivered to the target server. If a user claims that he/she did not get it, the
            problem is definitely on the receiving end.
            <p>The log gets saved to logs/OutboundAuditTrailSuccess.log file</p>
            </td>
	</tr>

    <tr bgcolor="#EDECE3">
        <td valign="top">Audit Trail - Failure</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkFailureTrail" <%=failureTrail%> />
        </td>
        <td valign="top">This log records the ipAddress of the receiving server, to, from, subject and reason of
            every email that could not be delivered. Check the reason to find out why it failed.
            <p>The log gets saved to logs/OutboundAuditTrailFailure.log file</p>
            </td>
	</tr>

    <tr bgcolor="#FFFFFF">
        <td valign="top">Audit Trail - Proxy</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkProxyTrail" <%=proxyTrail%> />
        </td>
        <td valign="top">This log records the ipAddress of the receiving server, to, from, message length in bytes and subject of
            every email that goes out through the proxy server. If you see a message in this log it means
            that it has been delivered to the target server. If a user claims that he/she did not get it, the
            problem is definitely on the receiving end.
            <p>The log gets saved to logs/ProxyAuditTrail.log file</p>
            </td>
	</tr>


    <tr bgcolor="#EDECE3">
        <td valign="top">NDR Log</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkNDRLog" <%=ndrLog%> />
        </td>
        <td valign="top">This logs contains a non-delivery report. First column contains TO and the second column contains
            the original recipient. The third column contains the orginal subject. Note, second and third column may not
            contain correct data.
            <p>The log gets saved to logs/ndr.log file</p>
            </td>
	</tr>

	<tr bgcolor="#FFFFFF">
        <td valign="top">User Filters</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkUserFilters" <%=userFilters%> />
        </td>
        <td valign="top">This log contains entry for user filters. When a user filter matches an incoming email, a record is entered 
        in this log file.
            <p>The log gets saved to logs/userFilters.log file</p>
            </td>
	</tr>


	<tr bgcolor="#EDECE3">
        <td valign="top">IMAP Logging</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkImapLogging" <%=imapLogging%> />
        </td>
        <td valign="top">This logs contains IMAP communication from different clients.
            <p>The log gets saved to logs/imapConversation.log file</p>
            </td>
	</tr>
	
	<tr bgcolor="#FFFFFF">
        <td valign="top">POP3 Logging</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkPop3Logging" <%=pop3Logging%> />
        </td>
        <td valign="top">This logs contains POP3 communication from different clients.
            <p>The log gets saved to logs/pop3Conversation.log file</p>
            </td>
	</tr>
	
	
	<tr bgcolor="#EDECE3">
        <td valign="top">Mailing List Logging</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkMailingList" <%=mailingList%> />
        </td>
        <td valign="top">This logs requests for subscription, removal and messages sent to mailing lists.
            </td>
	</tr>
	
	
	<tr bgcolor="#FFFFFF">
        <td valign="top">Smart Host</td>
        <td valign="middle" align="center">
            	<input type="checkbox" name="chkSmartHost" <%=smartHost%> />
        </td>
        <td valign="top">Logs a line for either SUCCESS or FAILURE when smart host is used.
            </td>
	</tr>
</table>

<p>

<table align="center">
    <tr>
        <td><input type="submit" value="Save Configuration"/></td>
    </tr>
</table>
</p>


<input type="hidden" name="operation" value="118" />
</form>


<h3>How does logging work</h3>
When enabled <%= productName %> will log data to individual files corresponding to each type. Data will get appended to the
file until the file size reaches 5 MB. At that point a backup copy will get created and logs will be sent to a new file.
Therefore, for every log that you enable <%= productName %> will use up to 10MB of hard drive space.<br>This is no significant
performance degradation when logging is turned on.


</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
