<%@ page import="java.util.*, com.synametrics.xeams.mailinglist.*" %>
<%@ page import="com.synametrics.xeams.util.*, com.synametrics.xeams.bean.*" %>


<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Manager Mailing list", "current", true));
	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MailingListManager");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>





<table width="100%" border="0" cellspacing="2" cellpadding="4"><tr><td>



<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo; Manage Mailing/Discussion Lists

<h2>Manage Mailing/Discussion Lists</h2>

Mailing list, also known as discussion list, is a list of email addresses belonging to individuals who want to 
send email message to the entire group. Users can subscribe/unsubscribe to the mailing list. When someone sends 
an email to the mailing list, every subscriber receives a copy. 

<br><br>

This screen is used for:
<ul>
<li>Creating new mailing lists</li>
<li>Modifying and removing existing lists</li>
</ul>
<b>IMPORTANT</b> Users can also subscribe to the list by sending emails. <a href="<%=helpSite %>SubsMailList.htm">Click here</a> for details.
	
<br><br><br>
<%
List<MailingList> lists = MailingListManager.getInstance().getMailingLists();


if(lists.size() == 0){
%>
<p>No lists have been defined in the system. Click the <b>New List</b> button to create one. 
<%
}
%>	

	
<div>
<form action="<%= request.getAttribute("appPath") %>" method="post">
<p>
<input type="submit" value="Add New List" />
<input type="hidden" name="operation" value="153" />
<input type="hidden" name="idx" value="-1" />
</p>	
</form>
</div>
	
<p>
<br /><br />
<table class="topHeaderTable">

<th>List Name</th>
<th>List Address</th>
<th>Subscriber count</th>
<th>Action</th>

<%
for(int i = 0; i < lists.size(); i++){
	MailingList aList = lists.get(i);
	
%>
	<tr class="<%= ((i % 2) == 0) ? "evenRow" : "oddRow" %>">
		<td><%=aList.getName() %></td>
		<td><%=aList.getListAddress() %></td>
		<td><%=aList.getEmails().size() %></td>
		<td><a href="<%=response.encodeURL("FrontController?operation=153") %>&idx=<%=i%>" >Edit</a> | 
		    <a href="<%=response.encodeURL("FrontController?operation=154") %>&idx=<%=i%>"  onclick="javascript:return confirm('This will permanently delete the list. Are you sure?')" >Delete</a></td>
	</tr>

<%
}
%>

</table>	
	
	




</td></tr></table>
	 

<%@ include file="NewPageFooter.jsp" %>
