<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>


<%@ page import="com.synametrics.xeams.util.*, com.synametrics.xeams.bean.*" %>


<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Message Retention", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MessageRetention");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>
<td>

<h1>Message Retention Policy</h1>
Every message that comes into the server is saved for a configurable number of days. 
This screen is used to configuration how long you want to retain messages.

<br><br>
<div class="brownborder">
<br>
<strong>IMPORTANT: </strong> 
<ul>
<li>A -1 means messages are never deleted.</li>
<li>A 0 means messages are never retained. There are several side-effects when this value is set to zero:
	<ol>
		<li>You will never see messages in <a href="<%=response.encodeURL("FrontController?operation=22") %>">Message Repository</a> for the category that is set to 0</li>
		<li>You won't see messages through either IMAP or POP3 server.</li>
		<li>You won't be able to mark a message either good or junk</li>
	</ol>
</li>
</ul>

<br><br>
</div>
<br><br>
<form action="<%= request.getAttribute("appPath") %>" method="post">

<table class="inputFormTable">
	<tr><th>Message type</th><th>Number of days to retain</th></tr>
	<tr><td><b>Good Messages</b></td><td><input type="text" name="goodDays" size="3" value="<%= request.getAttribute("goodDays") %>"  /> day(s)</td></tr>
	<tr><td><b>Junk Messages</b></td><td><input type="text" name="junkDays" size="3" value="<%= request.getAttribute("junkDays") %>"  /> day(s)</td></tr>
	<tr><td><b>Possible Junk</b></td><td><input type="text" name="possibleJunkDays" size="3" value="<%= request.getAttribute("possibleJunkDays") %>"  /> day(s)</td></tr>
	
	
	
	<tr><td colspan="2">
	<br><br>
	<b>Message Cache Days</b><br>
	This represents the number of days to go back when displaying emails in <a href="<%=response.encodeURL("FrontController?operation=22") %>">Message Repository</a> without searching. 
	A higher number will require more memory. Recommended number for this parameter is 3 days.
	<br><br>
	<b>Note:</b> If you change this to a higher value, older message will not appear right away. For example, if you change this from 3 to 5, it will take 2 days before you see messages that
	are 5 days old.<br><br> 
	</td></tr>
	<tr><td></td><td><input type="text" name="numDaysToDisplayMessagesWithoutSearch" size="3" value="<%= request.getAttribute("numDaysToDisplayMessagesWithoutSearch") %>"  /> day(s)</td></tr>
	
	<tr><td></td><td><input type="submit" value="Save" ></td></tr>
	
</table>

<input type="hidden" name="operation" value="171" />
</form>




</td>
<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="NewPageFooter.jsp" %>