<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<%!
     static String resultToName(String result) {

        if (result.equals("+")) {
            return "Pass";
        }
        else if (result.equals("-")) {
            return "Fail";
        }
        else if (result.equals("?")) {
            return "Neutral";
        }
        else if (result.equals("~")) {
            return "Softfail";
        }
        else {
            return "None";
        }

    }

%>

<table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>

<p>
<td>
<table><tr><td>
<h3>SPF Record Generator</h3>
</td></tr>
</table>
<p align=justify>
    This screen helps you to create SPF Record by providing suitable arguments against each SPF mechanism.
    An SPF string is created as you apply different options. Refer to
    <a href="<%=com.synametrics.xeams.util.SMFrontResourceHandler.getResourceURL()%>Spf.htm">our web site</a> for further details regarding SPF.
</p>
<!-- operation 515 start-->
<table width="450" height="37"  border="0"  cellpadding="1" cellspacing="1">
  <tr>
    <form action="<%= request.getAttribute("appPath") %>" method="post">
    <input type="hidden" name="operation" value="515"/>
    <input type="hidden" name="spfRecord" value="<%=request.getAttribute("spfRecord")%>"/>
    <td width="320" height="33"><p><b>If you wanted to check  SPF Record against email address and sending host ip argument click here!</b></p></td>
    <td width="117" height="33"><input type="submit" name="Submit" value="Verify"></td>
    </form>
  </tr>
</table>
<!-- operation 515 start-->
<form action="<%= request.getAttribute("appPath") %>" method="post" name="aMechanism">

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>
<%@ include file="RedBorderTableTop.jsp" %>
SPF Wizard
<%@ include file="RedBorderTableMiddle.jsp" %>

<%
String dnsServer = System.getProperty("default.dns.server", "");

if(dnsServer.length() == 0){
dnsServer = "No DNS specified. Will use the DNS configured for the OS";
}
String r1 = (String)request.getAttribute("ARecord").toString();
String r2 = (String)request.getAttribute("MXRecord").toString();
String r3 = (String)request.getAttribute("MXIP").toString();
String r4 = (String)request.getAttribute("NSRecord").toString();
%>

<input type="hidden" name="aRecord" value="<%=r1%>"/>
<input type="hidden" name="mxRecord" value="<%=r2%>"/>
<input type="hidden" name="mxipRecord" value="<%=r3%>"/>
<input type="hidden" name="nsRecord" value="<%=r4%>"/>

<tr><p>
<td><b>DNS Server:</b></td><td><%=dnsServer%></td></p>
</tr>
<tr><p>
<td><b>"A" Record points to:</b></td><td><%=r1%></td></p>
</tr>
<tr><p>
<td><b>"MX" Record points to:</b></td><td><%=r2%></td></p>
</tr>
<tr><p>
<td><b>IP for MX record:</b></td><td><%=r3%></td></p>
</tr>
<tr><p>
<td><b>"NS" record:</b></td><td><%=r4%></td></p>
</tr>

<tr>
</tr>
<tr>
<td><b>SPF record:</b></td><td><%=request.getAttribute("spfRecord")%></td>
</tr>

</td>
<%@ include file="RedBorderTableBottom.jsp" %>
</tr>

</table>

<BR>

<input type="hidden" name="operation" value="514"/>
<!-- test -->
<table width="100%" border="0" cellpadding="0" cellspacing="0">

<tr align="center" valign="top">

	<td >

	<%@ include file="RedBorderTableTop.jsp" %>
	A mechanism
	<%@ include file="RedBorderTableMiddle.jsp" %>

<!-- Start A Mechanism -->
<table width="100%" height="0" border="0" cellpadding="1" cellspacing="2">
  <tr align="center" valign="top">
    <td  colspan="3"><blockquote>
      <p align="justify" class="style1">
          DNS A lookup will be performed against the argument and the sending-host IP is compared to the IP addresses resolved by the DNS lookup. If any address matches, mechanism matches. </p>
      <p align="justify" class="style1"><em>Note: If no domain is specified in the argument than the current domain is used as the lookup. </em></p>
    </blockquote></td>
  </tr>
 <%
    String aFlag = (String)request.getAttribute("aFlag");
    String hostname = (String)request.getAttribute("ahostnames");
 %>
 <% if(aFlag != null && aFlag.startsWith("yes")) {

    if(aFlag.equals("yes")) {
 %>
   <tr>
    <td width="37%" rowspan="3" valign="top"><p align="right"> Include A mechanism: </p></td>
    <td width="5%"><input name="aFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="aFlag" type="radio" value="yesa:" checked></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="aFlag" type="radio" value="yes"></td>
    <td>Yes, with following domain names</td>
  </tr>

  <% } else if( aFlag.equals("yesa:") ) { %>
   <tr>
    <td width="37%" rowspan="3" valign="top"><p align="right"> Include A mechanism: </p></td>
    <td width="5%"><input name="aFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="aFlag" type="radio" value="yesa:" checked></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="aFlag" type="radio" value="yes" ></td>
    <td>Yes, with following domain names</td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
 	<% if(hostname != null && !hostname.equals("")) { %>
   <td height="0" colspan="2" valign="top"><textarea name="ahostnames" cols="25" rows="5"><%=hostname%></textarea></td>
   <% } else { %>
   <td height="0" colspan="2" valign="top"><textarea name="ahostnames" cols="25" rows="5"></textarea></td>
   <% } %>
  </tr>

<% } else { %>

   <tr>
    <td width="37%" rowspan="3" valign="top"><p align="right"> Include A mechanism: </p></td>
    <td width="5%"><input name="aFlag" type="radio" value="no" checked></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="aFlag" type="radio" value="yesa:" ></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="aFlag" type="radio" value="yes" ></td>
    <td>Yes, with following domain names</td>
  </tr>
  <tr>
    <td valign="top"><p align="right">Enter host name(s):</p></td>
    <td colspan="2" valign="top"><textarea name="ahostnames" cols="25" rows="5"></textarea></td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right"></p></td>
    <td height="0" colspan="2" valign="top"><input type="image" src="<%= imagePath %>proceedSmall.gif"></td>
  </tr>
<tr bgcolor="#EDECE3" valign="top" >
   <td height="0" colspan="3"><blockquote><br>
      <p align=justify><b>Help!</b> To add a mechanism you should select Yes or Yes and Add a.<br>
      By selecting 'Yes' you can only add hostnames to A mechanism. You can enter hostnames throug textbox given. To add A mechanism with no arguments you should select 'Yes and Add a' , by selecting this you can also add hostnames through textbox given.
	  <br><br> <b>What are A Records? </b><br>
	   A Record are used to translate human friendly domain names such as "www.mydomain.com" into IP-addresses such as 203.191.11.53 machine friendly numbers.
       These records are simple domain name to IP-address mapping.
       A-records are not required for all computers, but are needed for any computer that provides shared resources on a network.
       This record type is defined in RFC1035.
      </p>
    </blockquote>
  </td>
</tr>
</table>
<!-- End A Mechanism -->
<%@ include file="RedBorderTableBottom.jsp" %>
<BR>
</td>
</tr>

<tr align="center" valign="top">
<td >

<%@ include file="RedBorderTableTop.jsp" %>
MX mechanism
<%@ include file="RedBorderTableMiddle.jsp" %>

<!-- Start MX Mechanism -->
<table width="100%" height="0" border="0" cellpadding="1" cellspacing="2">
  <tr align="center" valign="top">
    <td  colspan="3"><blockquote>
      <p align="justify" class="style1">MX list is evaluated for the specified domain. MX lookup is performed against the domain. The list of IP addresses obtained is compared with the sending host IP address. If any address matches, the mechanism matches.</p>
    </blockquote></td>
  </tr>
 <%
    String mxFlag = (String)request.getAttribute("mxFlag");
    String mxhostname = (String)request.getAttribute("mxhostnames");
 %>
 <% if(mxFlag != null && mxFlag.startsWith("yes")) {

    if(mxFlag.equals("yes")) {
 %>
   <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include mx mechanism: </p></td>
    <td width="5%"><input name="mxFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="mxFlag" type="radio" value="yesmx:"></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="mxFlag" type="radio" value="yes" checked></td>
    <td>Yes, with following domain names</td>
  </tr>

  <% } else if( mxFlag.equals("yesmx:") ) { %>
   <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include MX mechanism: </p></td>
    <td width="5%"><input name="mxFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="mxFlag" type="radio" value="yesmx:" checked></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="mxFlag" type="radio" value="yes" ></td>
    <td>Yes, with following domains</td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
 	<% if(mxhostname != null && !mxhostname.equals("")) { %>
   <td height="0" colspan="2" valign="top"><textarea name="mxhostnames" cols="25" rows="5"><%=mxhostname%></textarea></td>
   <% } else { %>
   <td height="0" colspan="2" valign="top"><textarea name="mxhostnames" cols="25" rows="5"></textarea></td>
   <% } %>
  </tr>

<% } else { %>

   <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include MX mechanism: </p></td>
    <td width="5%"><input name="mxFlag" type="radio" value="no" checked></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="mxFlag" type="radio" value="yesmx:" ></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="mxFlag" type="radio" value="yes" ></td>
    <td>Yes, with following domain names</td>
  </tr>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
    <td height="0" colspan="2" valign="top"><textarea name="mxhostnames" cols="25" rows="5"></textarea></td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right"></p></td>
    <td height="0" colspan="2" valign="top"><input type="image" src="<%= imagePath %>proceedSmall.gif"></td>
  </tr>
<tr bgcolor="#EDECE3" valign="top" >
    <td height="0" colspan="3"><blockquote><br>
      <p align=justify><b>Help!</b> To add MX mechanism you should select Yes or Yes and Add mx.<br>
      By selecting 'Yes' you can only add hostnames to MX mechanism. You can enter hostnames throug textbox given. To add MX mechanism with no arguments you should select 'Yes and Add mx' , by selecting this you can also add hostnames through textbox given.
	  <br><br><b>What are MX-Records (Mail exchange)? </b><br>
	  MX-records are used to specify the email server(s) responsible for a domain name.
	  Each MX-record points to the name of an email server and holds a preference number for that server.
     If a domain name is handled by multiple email servers , a separate MX-record is used for each email server, and the preference numbers then determine in which order (lower numbers first) these servers should be used by other email servers.
     If a domain name is handled by a single email server, only one MX-record is needed and the preference number does not matter.
     This record type is defined in RFC1035.
      </p>
    </blockquote>
    </td>
</tr>
</table>
<!-- End MX Mechanism -->
<%@ include file="RedBorderTableBottom.jsp" %>
<BR>
</td>
</tr>

<tr align="center" valign="top">
<td >

<%@ include file="RedBorderTableTop.jsp" %>
PTR mechanism
<%@ include file="RedBorderTableMiddle.jsp" %>

<!-- Start PTR Mechanism -->
<table width="100%" height="0" border="0" cellpadding="1" cellspacing="2">
  <tr align="center" valign="top">
    <td  colspan="3"><blockquote>
      <p align="justify" class="style1">This mechanism has to phases. In first phase PTR lookup is performed against the sending-host IP address to obtain hostname or hostnames. A lookup is performed against each record to validate the sending host IP address. Second phase involves validation of host names to see they actually are in the domain name specified in the argument. If any hostname is matched the mechanism matches if none matches than mechanism fails.</p>
    </blockquote></td>
  </tr>
 <%
    String ptrFlag = (String)request.getAttribute("ptrFlag");
    String ptrhostname = (String)request.getAttribute("ptrhostnames");
 %>
 <% if(ptrFlag != null && ptrFlag.startsWith("yes")) {

    if(ptrFlag.equals("yes")) {
 %>
   <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include PTR mechanism: </p></td>
    <td width="5%"><input name="ptrFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="ptrFlag" type="radio" value="yesptr:"></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="ptrFlag" type="radio" value="yes" checked></td>
    <td>Yes, with following domain names</td>
  </tr>

  <% } else if( ptrFlag.equals("yesptr:") ) { %>
   <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include PTR mechanism: </p></td>
    <td width="5%"><input name="ptrFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="ptrFlag" type="radio" value="yesptr:" checked></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="ptrFlag" type="radio" value="yes" ></td>
    <td>Yes, with following domain names</td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
 	<% if(ptrhostname != null && !ptrhostname.equals("")) { %>
   <td height="0" colspan="2" valign="top"><textarea name="ptrhostnames" cols="25" rows="5"><%=ptrhostname%></textarea></td>
   <% } else { %>
   <td height="0" colspan="2" valign="top"><textarea name="ptrhostnames" cols="25" rows="5"></textarea></td>
   <% } %>
  </tr>

<% } else { %>

   <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include PTR mechanism: </p></td>
    <td width="5%"><input name="ptrFlag" type="radio" value="no" checked></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="ptrFlag" type="radio" value="yesptr:" ></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td><input name="ptrFlag" type="radio" value="yes" ></td>
    <td>Yes, with following domain names</td>
  </tr>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
    <td height="0" colspan="2" valign="top"><textarea name="ptrhostnames" cols="25" rows="5"></textarea></td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right"></p></td>
    <td height="0" colspan="2" valign="top"><input type="image" src="<%= imagePath %>proceedSmall.gif"></td>
  </tr>
<tr bgcolor="#EDECE3" valign="top" >
    <td height="0" colspan="3"><blockquote><br>
      <p align=justify><b>Help!</b> To add PTR mechanism you should select Yes or Yes and Add ptr.<br>
      By selecting 'Yes' you can only add hostnames to PTR mechanism. You can enter hostnames throug textbox given. To add PTR mechanism with no arguments you should select 'Yes and Add ptr' , by selecting this you can also add hostnames through textbox given.
	  <br><br><b>What are PTR-Records?</b><br>
	  A PTR record is the reverse of an A record. That is, it maps an IP address to a hostname, rather than vice versa. Given an IP address of the form a.b.c.d, the usual form for a PTR record is this:
     <br>d.c.b.a.in-addr.arpa.   PTR     host.name.

      </p>
    </blockquote>
    </td>
</tr>
</table>

<!-- End PTR Mechanism -->
<%@ include file="RedBorderTableBottom.jsp" %>
<BR>
</td>
</tr>

<tr align="center" valign="top">
<td >

<%@ include file="RedBorderTableTop.jsp" %>
IP4 mechanism
<%@ include file="RedBorderTableMiddle.jsp" %>

<!-- Start IP4 Mechanism -->
<table width="100%" height="0" border="0" cellpadding="1" cellspacing="2">
  <tr align="center" valign="top">
    <td  colspan="3"><blockquote>
      <p align="justify" class="style1">This mechanism matches if the sending-host is from a given IP4 network.</p>
    </blockquote></td>
  </tr>
 <%
    String ip4Flag = (String)request.getAttribute("ip4Flag");
    String ip4hostname = (String)request.getAttribute("ip4hostnames");
 %>
 <% if(ip4Flag != null && ip4Flag.startsWith("yes")) {

     if(ip4Flag.equals("yes")) {
 %>
  <tr>
    <td width="37%" height="0" rowspan="3" valign="top"><p align="right"> Include IP4 mechanism: </p></td>
    <td width="5%"><input name="ip4Flag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="ip4Flag" type="radio" value="yes" checked></td>
    <td>Yes</td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right">Enter IP Address(s):</p></td>
 	<% if(ip4hostname != null && !ip4hostname.equals("")) { %>
   <td height="0" colspan="2" valign="top"><textarea name="ip4hostnames" cols="25" rows="5"><%=ip4hostname%></textarea></td>
   <% } else { %>
   <td height="0" colspan="2" valign="top"><textarea name="ip4hostnames" cols="25" rows="5"></textarea></td>
   <% } %>
  </tr>

<% } else { %>

   <tr>
    <td width="37%" height="0" rowspan="2" valign="top"><p align="right"> Include IP4 mechanism: </p></td>
    <td width="5%"><input name="ip4Flag" type="radio" value="no" checked></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="ip4Flag" type="radio" value="yes" ></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td height="0" valign="top"><p align="right">Enter IP Address(s):</p></td>
    <td height="0" colspan="2" valign="top"><textarea name="ip4hostnames" cols="25" rows="5"></textarea></td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right"></p></td>
    <td height="0" colspan="2" valign="top"><input type="image" src="<%= imagePath %>proceedSmall.gif"></td>
  </tr>
<tr bgcolor="#EDECE3" valign="top" >
    <td height="0" colspan="3"><blockquote><br>
      <p><b>Help!</b> To add IP4 mechanism you should select Yes.<br>
      By selecting 'Yes' you can add IP Addresses to IP4 mechanism. You can enter IP Addresses throug textbox given.</p>
    </blockquote>
    </td>
</tr>
</table>
<!-- End IP4 Mechanism -->
<%@ include file="RedBorderTableBottom.jsp" %>
<BR>
</td>
</tr>


<tr align="center" valign="top">
<td >

<%@ include file="RedBorderTableTop.jsp" %>
INCLUDE mechanism
<%@ include file="RedBorderTableMiddle.jsp" %>

<!-- Start INCLUDE Mechanism -->
<table width="100%" height="0" border="0" cellpadding="1" cellspacing="2">
  <tr align="center" valign="top">
    <td  colspan="3"><blockquote>
      <p align="justify" class="style1">SPF Client must lookup the SPF record for the domain defined as the argument and perform Test against the record. The test is only assumed match if inner test returns PASS or UNKNOWN otherwise it means test does not match.</p>
    </blockquote></td>
  </tr>
 <%
    String includeFlag = (String)request.getAttribute("includeFlag");
    String includehostname = (String)request.getAttribute("includehostnames");
 %>
 <% if(includeFlag != null && includeFlag.startsWith("yes")) {

     if(includeFlag.equals("yes")) {
 %>
  <tr>
    <td width="37%" height="0" rowspan="2" valign="top"><p align="right"> Add Include mechanism: </p></td>
    <td width="5%"><input name="includeFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="includeFlag" type="radio" value="yes" checked></td>
    <td>Yes</td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
 	<% if(includehostname != null && !includehostname.equals("")) { %>
   <td height="0" colspan="2" valign="top"><textarea name="includehostnames" cols="25" rows="5"><%=includehostname%></textarea></td>
   <% } else { %>
   <td height="0" colspan="2" valign="top"><textarea name="includehostnames" cols="25" rows="5"></textarea></td>
   <% } %>
  </tr>

<% } else { %>

   <tr>
    <td width="37%" height="0" rowspan="2" valign="top"><p align="right"> Add Include mechanism: </p></td>
    <td width="5%"><input name="includeFlag" type="radio" value="no" checked></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td><input name="includeFlag" type="radio" value="yes" ></td>
    <td>Yes</td>
  </tr>
  <tr>
    <td height="0" valign="top"><p align="right">Enter host name(s):</p></td>
    <td height="0" colspan="2" valign="top"><textarea name="includehostnames" cols="25" rows="5"></textarea></td>
  </tr>
  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right"></p></td>
    <td height="0" colspan="2" valign="top"><input type="image" src="<%= imagePath %>proceedSmall.gif"></td>
  </tr>
<tr bgcolor="#EDECE3" valign="top" >
    <td height="0" colspan="3"><blockquote><br>
      <p><b>Help!</b> To add Include mechanism you should select Yes.<br>
      By selecting 'Yes' you can add host names to Include mechanism. You can enter host names through textbox given.</p>
    </blockquote>
    </td>
</tr>
</table>
<!-- End INCLUDE Mechanism -->
<%@ include file="RedBorderTableBottom.jsp" %>
<BR>
</td>
</tr>


<tr align="center" valign="top">
<td >

<%@ include file="RedBorderTableTop.jsp" %>
All mechanism
<%@ include file="RedBorderTableMiddle.jsp" %>

<!-- Start All Mechanism -->
<table width="100%" height="0" border="0" cellpadding="1" cellspacing="2">
  <tr align="center" valign="top">
    <td  colspan="3"><blockquote>
      <p align="justify" class="style1">This mechanism always matches whenever it occurs it mean any machine anywhere. It can also be used as wild card to valid all machines. It is placed at the rightmost of the SPF record to provide an explicit default result.</p>
    </blockquote></td>
  </tr>
 <%
    String allFlag = (String)request.getAttribute("allFlag");
    String allResult = (String)request.getAttribute("allResult");
 %>

 <% if(allFlag != null && allFlag.equals("no")) { %>

  <tr >
    <td width="37%" rowspan="2" valign="top"><p align="right"> Add All mechanism: </p></td>
    <td width="5%"><input name="allFlag" type="radio" value="yes" checked></td>
    <td width="58%">Yes</td>
  </tr>
  <tr>
    <td width="5%"><input name="allFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>

  <tr>
    <td><blockquote>
      <p>What result should be evaluated ? </p>
    </blockquote></td>
    <td valign="top" colspan="2"><p align="left">
        <select name="allResult" class="style2" id="allResult" >
          <option value="0" selected>None</option>
          <option value="+">Pass</option>
          <option value="-">Fail</option>
          <option value="~">Softfail</option>
          <option value="?">Neutral</option>
        </select>
      </p>
   </td>
  </tr>
<% } else { %>

  <tr >
    <td width="37%" rowspan="2" valign="top"><p align="right"> Add All mechanism: </p></td>
    <td width="5%"><input name="allFlag" type="radio" value="no"></td>
    <td width="58%">No</td>
  </tr>
  <tr>
    <td width="5%"><input name="allFlag" type="radio" value="yes" checked></td>
    <td width="58%">Yes</td>
  </tr>

  <tr>
  <td valign="top" >
      <p align="right">
      What result should be evaluated ?
      </p>

    </td>
    <td valign="top" colspan="2"><p align="left">

        <select name="allResult" class="style2" id="allResult" >
          <% if(allResult != null && !allResult.equals("") && !allResult.equals("0") ) { %>
	          <option value="<%=allResult%>" selected><%=resultToName(allResult)%></option>
          <% } else { %>
          <option value="-" selected="selected">Fail</option>
          <% } %>
          <option value="0" >None</option>
          <option value="+">Pass</option>
          <option value="~">Softfail</option>
          <option value="?">Neutral</option>
        </select>
    </p>
    </td>
  </tr>

  <% } %>
  <tr>
    <td height="0" valign="top"><p align="right"></p></td>
    <td height="0" colspan="2" valign="top"><input type="image" src="<%= imagePath %>proceedSmall.gif"></td>
  </tr>
<tr bgcolor="#EDECE3" valign="top" >
    <td height="0" colspan="3"><blockquote><br>
      <p><b>Help!</b> To add All mechanism you should select Yes.<br>
      By selecting 'Yes' you can set the result by selecting any option from list box.</p>
    </blockquote>
    </td>
</tr>
</table>
<!-- End All Mechanism -->
<%@ include file="RedBorderTableBottom.jsp" %>
<BR>
</td>
</tr>



</table>

<BR>
<!-- test end -->






</form>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
