<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<% 

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Server Configuration", "current", true));

//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");



com.synametrics.xeams.util.AppConfig smConf = com.synametrics.xeams.util.AppConfig.getInstance();

String boundIPStr = com.synametrics.commons.util.HostInfo.printOptionList(smConf.getSmtpProxyBindIP());



%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>



<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
Server Configuration

<%
String infoMessage = (String)request.getAttribute("InfoMessage");

if(infoMessage != null){
	out.println("<div class='infoMessage'>" + infoMessage + "</div>");
}
%>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<td>


<form action="<%= request.getAttribute("appPath") %>" method="post">
  <h2 class="tab" id="tab1">Basic Configuration</h2>
  <div class="section">

	
	<table width="100%">

		

		<!-- Web Server port -->
		<tr>
			<td class="boldRight">Server Type:</td>
			<td><select name="serverType">
					<option value="1" <%=smConf.getServerType() == 1 ? "selected" : "" %> >Stand-alone server</option>
					<option value="2" <%=smConf.getServerType() == 2 ? "selected" : "" %> >Spam firewall</option>
					<option value="3" <%=smConf.getServerType() == 3 ? "selected" : "" %> >Hybrid mode</option>
				</select>
				<a href="#" tiptext="titleServerType">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleServerType" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		<%=productName %> has 3 modes of operation:
					<ol>
				    	<li><b>Stand-alone email server - </b>Full email server supporting SMTP, IMAP, and POP3. User mailboxes are 
								created on <%=productName %>. No other email server is required.</li>
					    <li><b>Spam firewall - </b>Acts as a spam firewall that sits in front of another email server. Processes every email and sends good message to another server, 
													such as Microsoft Exchange, Sendmail, Lotus Dominos or any other SMTP server. 
												    User mailboxes are not created on <%=productName %></li>
						<li><b>Hybrid mode - </b>Acts as a stand-alone as well as a spam firewall. This configuration serves as a backup
												for your main email server.</li>
					    
					</ol>
				
		    	</div>

            </td>	
      	    
		</tr>



		<!-- Web Server port -->
		<tr>
			<td class="boldRight">Web Server Port:</td>
			<td><input name="webServerPort" type="text" value="<%=smConf.getWebServerPort() %>">
				<a href="#" tiptext="titleWebServerPort">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleWebServerPort" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		TCP/IP port number on which the embedded web server listens on. <p>
					You will have to restart <%=productName %> after you change this value. Additionally, 
					remember to change the URL of your browser before connecting.
		    	</div>

            </td>	
      
		</tr>


		<!-- Secure Web Server port -->
		<tr>
			<td class="boldRight">Secure Web Server Port:</td>
			<td><input name="secureWebServerPort" type="text" value="<%=smConf.getSecureWebServerPort() %>">
				<a href="#" tiptext="titleSecureWebServerPort">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleSecureWebServerPort" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		TCP/IP port number on which the SSL web server listens on. <p>
					You will have to restart <%=productName %> after you change this value. Additionally, 
					remember to change the URL of your browser before connecting.
		    	</div>
				<a href="<%=response.encodeURL("FrontController?operation=187") %>">Configure SSL</a>
            </td>	
      	    
		</tr>

		<!-- DNS Server port -->
		<tr>
			<td class="boldRight">DNS Server:</td>
			<td><input name="dnsServer" type="text" value="<%=smConf.getDnsServer() %>">
				<a href="#" tiptext="titleDnsServer">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleDnsServer" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		The DNS server that will be used to resolve IP host names. Leave this value blank to use the DNS server configured
					for the machine.
		    	</div>

            </td>	
    	    
		</tr>


		<!-- Administrator's email address -->
		<tr>
			<td class="boldRight">Administrator's Email:</td>
			<td><input name="adminEmail" type="text" value="<%=smConf.getAdminEmail() %>">
				<a href="#" tiptext="titleadminEmail">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleadminEmail" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Email address of the administrator. Often <%= productName %> sends out-bound emails to the administrator containing
					important information about the server's status. Daily reports are also sent to this email address. 
					<p><b>It is very important that you specify this value correctly.</b><p>
					Specify multiple values separated by a comma.
		
		    	</div>

            </td>	
         
		</tr>


		<!-- Send status report -->
		<tr>
			<td class="boldRight">Send daily status report:</td>
			<td><input name="sendStatus" type="checkbox" <%=smConf.isStatusEmailNotification() ? " checked " : ""%>>
				<a href="#" tiptext="titleadminEmail">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleadminEmail" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		When this box is checked, <%= productName %> will send a daily status report to the administrator 
					containing information about your server.
		
		    	</div>

            </td>	
        	    
		</tr>

	</table>

  </div>

  <h2 class="tab" id="tab2">Advanced Configuration</h2>
  <div class="section">
    	<table width="100%">

		
		<!-- Multi-Domain -->
		<tr>
			<td class="boldRight">Multi-Domain:</td>
			<td><input name="chkMultiDomain" type="checkbox" <%=smConf.isMultiDomain() ? " checked " : ""%>>
				<a href="#" tiptext="titleMultiDomain">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleMultiDomain" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		The Multi-Domain feature in Xeams allows you to specify a different set of spam filtering rules on a per-domain basis.<br><br>
		    		You can also delegate the administration tasks to a domain administrator who can add/modify filtering rules for that domain.
		    		<a href="<%=helpSite %>MultiDomain.htm">Refer to our website for details</a>. 
		
		    	</div>

            </td>		    
		</tr>
		
		
		
		<!-- Auto Update -->
		<tr>
			<td class="boldRight">Enable Auto Update:</td>
			<td><input name="chkAutoUpdate" type="checkbox" <%=smConf.isAutoUpdateEnabled() ? " checked " : ""%>>
				<a href="#" tiptext="titlechkAutoUpdate">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titlechkAutoUpdate" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		If checked, <%=productName %> will check for new updates every night and download the latest release
					to your server. <p><strong>It is strongly recommended that you leave this option on</strong>.
		
		    	</div>

            </td>		    
		</tr>



		<!-- Auto update notification -->
		<tr>
			<td class="boldRight">Enable Auto Notification:</td>
			<td><input name="chkAutoUpdateNotification" type="checkbox" <%=smConf.isAutoUpdateNotificationEnabled() ? " checked " : ""%>>
				<a href="#" tiptext="titlechkAutoUpdateNotification">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titlechkAutoUpdateNotification" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		If checked, <%=productName %> will send an email to the administrator(s) notifying about the changes made. 
					<p><strong>It is strongly recommended that you leave this option on</strong>.
		
		    	</div>

            </td>			    
		</tr>


		<!-- Xeams Ad -->
		<tr>
			<td class="boldRight">Xeams Footer:</td>
			<td><input name="chkXeamsAd" type="checkbox" <%=smConf.isXeamsAdEnabled() ? " checked " : ""%>>
				<a href="#" tiptext="titleXeamsAd">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleXeamsAd" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		If checked, Xeams will add a footer to every message that will read:<br><br>
		    		Powered by Xeams. Visit xeams.com for more information.<br><br>
		    		<a href="<%=helpSite%>HelpUsSpreadTheWord.htm">Click here</a> for more information.. 
		
		    	</div>

            </td>		    
		</tr>
		
		
		<!-- Xeams Ad -->
		<tr>
			<td class="boldRight">Include possible spam in report:</td>
			<td><input name="chkIncludePossibleSpamInDailyReport" type="checkbox" <%=smConf.isIncludePossibleSpamInDailyReport() ? " checked " : ""%>>
				<a href="#" tiptext="titleChkIncludePossibleSpamInDailyReport">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titleChkIncludePossibleSpamInDailyReport" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		If checked, messages that fall into possible spam category will be added to the daily report that gets sent
		    		to users.
		    	</div>

            </td>		    
		</tr>
		
		
		
		<!-- SMTP HELO Command -->
		<tr>
			<td class="boldRight">Smtp HELO domain:</td>
			<td><input name="txtSmtpHello" type="text" value="<%=smConf.getSmtpHeloCommand()%>" size="40">
				<a href="#" tiptext="titletxtSmtpHello">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtSmtpHello" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Text to be passed as part of SMTP HELO command to a connecting client
		    	</div>

            </td>		    
		</tr>
		
		
		<!-- SMTP Signature -->
		<tr>
			<td class="boldRight">Smtp Signature:</td>
			<td><input name="txtSignature" type="text" value="<%=smConf.getSmtpSignature() %>" size="40">
				<a href="#" tiptext="titletxtSignature">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtSignature" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Banner used to greet an incoming SMTP client
		    	</div>

            </td>		    
		</tr>


		<!-- Retry Interval -->
		<tr>
			<td class="boldRight">Retry Interval:</td>
			<td><input name="txtRetryInterval" type="text" value="<%=smConf.getSmtpRetryInterval()%>"  size="4">
				<a href="#" tiptext="titletxtRetryInterval">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtRetryInterval" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Time to wait in minutes before retrying an outbound email. 		
		    	</div>

            </td>		    
		</tr>


		<!-- Retry Count -->
		<tr>
			<td class="boldRight">Retry Count:</td>
			<td><input name="txtRetryCount" type="text" value="<%=smConf.getSmtpRetryCount()%>"  size="4">
				<a href="#" tiptext="titletxtRetryCount">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtRetryCount" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Number of times to retry an outbound email message.
		
		    	</div>

            </td>		    
		</tr>

	</table>	
  </div>
  
  
  <h2 class="tab" id="tab3">Challenge Response</h2>
  <div class="section">
    	<table width="100%">

		

		<!-- Enable Challenge response -->
		<tr>
			<td class="boldRight">Enable Challenge Response:</td>
			<td><input name="cresponse" type="checkbox" <%=smConf.isChallengeResponseEnabled() ? " checked " : ""%>>
				<a href="#" tiptext="titlecresponse">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titlecresponse" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Checking this box enables the challenge/response feature in <%=productName %>. 
					This mechanism is a type of spam filter that automatically sends a reply with a challenge 
					to the (alleged) sender of an incoming email. In this reply, the sender is asked to perform 
					some action to assure delivery of the original message, which would otherwise not be delivered. 

					<p>
					We do not recommend that you enable this mechanism of filtering junk emails. Many users
					on the Internet consider such mechanisms as rude.
		
		    	</div>

            </td>		    
		</tr>



		<!-- Challenge/Response Email -->
		<tr>
			<td class="boldRight">Challenge/Response Email:</td>
			<td><input name="cresponseEmail" type="text" <%=smConf.getChallengeResponseEmail()%>>
				<a href="#" tiptext="titlecresponseEmail">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titlecresponseEmail" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		This MUST be a valid email address in your company, which is required by the challenge/response mechanism to route the message back to your server. IMPORTANT:This address will only be used for routing - no emails will be sent to this address.
					<p>We recommend that you use the postmaster account for this field, example: postmaster@YourCompanyDomain.com 
		
		    	</div>

            </td>			    
		</tr>




		<!-- Challenge/Response Threshold: -->
		<tr>
			<td class="boldRight">Challenge/Response Threshold:</td>
			<td><input name="cresponseThreshold" type="text" value="<%=smConf.getChallengeResponseThreshold() %>">
				<a href="#" tiptext="titlecresponseThreshold">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titlecresponseThreshold" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Challenge/response email will only be sent if the email score is below this number. Consider the following example:
				
					
					<ul>
						<li>Assume every email that is assigned a score of more than 100 is considered junk.</li>
						<li>You receive 3 emails and their respective scores are 20, 150 and 550</li>
						<li>Challenge/Response threshold is set to 300</li>
						<li>The first email is considered good and a challenge is never generated</li>
						<li>The score for the second message is lower than 300 and therefore a challenge will be generated</li>
						<li>The score of the last message to higher and therefore, it is safer to consider is junk. A challenge email will 
							not be generated.</li>
					</ul>
		    	</div>

            </td>		    
		</tr>


	</table>
  </div>	
  	




<h2 class="tab" id="tab4">Http Proxy</h2>
  <div class="section">
    	<table width="100%">

		<!-- HTTP Proxy -->
		<tr>
			<td class="boldRight">Http Proxy:</td>
			<td><input name="chkHttpProxyEnabled" type="checkbox" <%=smConf.isHttpProxyEnabled() ? " checked " : ""%>>
				<a href="#" tiptext="titlechkHttpProxyEnabled">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titlechkHttpProxyEnabled" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Check this box if <%=productName %> is not able to connect directly to the Internet and must go through a proxy server.

					<p>
					Periodically, your copy of <%=productName %> tries to connect to our web server to pull latest release
					of the server. Besides software updates, it also needs to pull latest virus signatures, new filtering rules and
					FAQ questions. All this information is retrieved using the HTTP protocol. 
					<p>
					We recommend that you let <%=productName %> connect to the Internet without any proxy server. Having said that, if your
					company's network requires the use of a proxy server, you can enable that by checking this box.	 
		
		    	</div>

            </td>		    
		</tr>



		<!-- Proxy Server Host -->
		<tr>
			<td class="boldRight">Proxy Server Host:</td>
			<td><input name="txtProxyHost" type="text" value="<%=smConf.getHttpProxyHost()%>">
				<a href="#" tiptext="titletxtProxyHost">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtProxyHost" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Host name of your HTTP proxy server.
		
		    	</div>

            </td>			    
		</tr>




		<!-- Proxy Server Port: -->
		<tr>
			<td class="boldRight">Proxy Server Port:</td>
			<td><input name="txtProxyPort" type="text" value="<%=smConf.getHttpProxyPort() %>">
				<a href="#" tiptext="titletxtProxyPort">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtProxyPort" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		TCP/IP port on which your proxy server listens for incoming client connections.
		    	</div>

            </td>		    
		</tr>


		<!-- Proxy User ID: -->
		<tr>
			<td class="boldRight">Proxy Server User:</td>
			<td><input name="txtProxyUid" type="text" value="<%=smConf.getHttpProxyUid() %>">
				<a href="#" tiptext="titletxtProxyUid">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtProxyUid" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		A user id for your proxy server. Leave this blank if your server does not require authentication.
		    	</div>

            </td>		    
		</tr>

		<!-- Proxy Server Password: -->
		<tr>
			<td class="boldRight">Proxy Server Password:</td>
			<td><input name="txtProxyPwd" type="text" value="<%=smConf.getHttpProxyPwd() %>">
				<a href="#" tiptext="titletxtProxyPwd">	
                <img src="<%= imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
		    	<div id="titletxtProxyPwd" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		    		Password for the user specified above. Leave this blank if your server does not require authentication.
		    	</div>

            </td>		    
		</tr>
	</table>
	</div>
	




  <p>	
  <table width="90%">
	<tr>
    <td align="center"><input type="Submit" value="Save"></td>
    </tr>
  </table>
  </p>
  <input type="hidden" name="operation" value="157">
  </form>	





</td>
<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
