<%@ page import="com.synametrics.xeams.util.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>


<td>

<%
String dnsServer = SpeedWatcher.getInstance().getDnsServer();
long dnsLookup = SpeedWatcher.getInstance().getDnsLookupSpeed();

if(!SpeedWatcher.getInstance().isDnsFine()){
	%>
	<h2>DNS Lookup is not working</h2>
	<%=productName %> is <b>NOT</b> able to perform DNS lookup. DNS lookups are performed whenever a new email is received or sent out. Therefore, 
	it is very important that these queries are performed correctly and in a speedy manner.
	
	<br><br>
	Your machine is configured to use <%=dnsServer %> as the DNS server.
	
	<h3>How to fix</h3>
	DNS client typically uses UDP on port 53. Ensure no firewall is blocking out-bound UDP traffic from the machine where <%=productName %> is 
	running.
	
	<br><br>
	Another suggestion is to use a DNS server that is closer to  <%=productName %> on the network.
	
	<%
}else if(!SpeedWatcher.getInstance().isDnsFastEnough()){
	%>
	<h2>DNS Lookup are too slow</h2>
	<%=productName %> is <b>NOT</b> able to perform DNS lookup quickly. DNS lookups are performed whenever a new email is received or sent out. 
	Therefore, it is very important that these queries are performed correctly and in a speedy manner.
	
	<h3>How to fix</h3>
	DNS client typically uses UDP on port 53. Ensure no firewall is blocking out-bound UDP traffic from the machine where <%=productName %> is 
	running. If the UDP traffic is blocked, TCP will be used to resolve names. However, this process takes a long time and therefore is it highly
	recommended you find out why UDP traffic is being blocked.
	
	<br><br>
	Another suggestion is to use a DNS server that is closer to  <%=productName %> on the network.
	
	<%	
}


if(!SpeedWatcher.getInstance().isHttpClientFine()){
	%>
	<h2>HTTP traffic is blocked</h2>
	<%=productName %> is not able to connect to other web servers on the Internet. It is very important that out-bound HTTP traffic is not 
	blocked by a firewall.
	<br><br>Your installation of <%=productName %> often connects to our web servers to download important updates. Without these updates
	this server won't run optimally. 
	
	<h3>How to fix</h3>
	There are two ways to fix this:
	
	<ul>
		<li>Configure your firewall to allow out-bound TCP/IP traffic for port 80 (http)</li>
		<li><b>Configure a <a href="<%=response.encodeURL("FrontController?operation=158#tab4") %>">proxy server</a></b></li>
	</ul>
	
	
	<%
}else if(!SpeedWatcher.getInstance().isHttpFastEnough()){
	%>
	<h2>HTTP traffic is too slow</h2>
	You typically run into this issue if you are running <%=productName %> on a slower network. You can ignore this warning if this message
	appears intermittently.  
	<%	
}
%>







</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
