
<%
String enabled = (String)request.getAttribute("StagingServerEnabled");
String smtpPort = (String)request.getAttribute("SmtpPort");
String domainList = (String)request.getAttribute("DomainList");
String relayFrom = (String)request.getAttribute("RelayFrom");
String openRelay = (String)request.getAttribute("OpenRelay");
String ndrEnabled = (String)request.getAttribute("ndrEnabled");
String ndrEmail = (String)request.getAttribute("ndrEmail");
String ndrIncludeBodyEnabled = (String) request.getAttribute("ndrIncludeBodyEnabled");
String ndrOnlyForOutboundEmails = (String) request.getAttribute("ndrOnlyForOutboundEmails");
String asyncProcessing = (String)request.getAttribute("AsyncProcessing");



String closeRelay;

if(openRelay != null && openRelay.equals("true")){
 	openRelay = " checked";
	closeRelay = " ";
}else{
	openRelay = " ";
	closeRelay = " checked";
}



if(enabled != null && enabled.equalsIgnoreCase("true")){
 	enabled = " checked ";
}else{
 	enabled = " ";
}

if(ndrEnabled != null && ndrEnabled.equalsIgnoreCase("true")){
 	ndrEnabled = " checked ";
}else{
 	ndrEnabled = " ";
}

if(ndrEmail == null)
	ndrEmail = "";

if(ndrIncludeBodyEnabled != null && ndrIncludeBodyEnabled.equalsIgnoreCase("true")){
 	ndrIncludeBodyEnabled = " checked ";
}else{
 	ndrIncludeBodyEnabled = " ";
}


if(ndrOnlyForOutboundEmails != null && ndrOnlyForOutboundEmails.equalsIgnoreCase("true")){
    ndrOnlyForOutboundEmails = " checked ";
}else{
    ndrOnlyForOutboundEmails = " ";
}

if(asyncProcessing != null && asyncProcessing.equalsIgnoreCase("true")){
 	asyncProcessing = " checked ";
}else{
    asyncProcessing = " ";
}

String boundIPStr = com.synametrics.commons.util.HostInfo.printOptionList((String)request.getAttribute("BindIP"));

%>

<form action="<%= request.getAttribute("appPath") %>" method="post">
<table width="100%" cellspacing="1" cellpadding="2" bgcolor="#EEEEEE">
<tr bgcolor="White">
    <td valign="top" width="20%"><b>Server enabled:</b></td>
    <td valign="top" width="80%"><input type="checkbox" value="1" name="serverEnabled" <%=enabled%> /></td>
</tr>

<tr bgcolor="White">
    <td valign="top"><b>SMTP Port:</b></td>
    <td valign="top"><input name="smtpPort" value="<%=smtpPort%>" /><br />
        Change this port to 25 if you wish to use the Staging server to process
        in-bound messages. You need to do this if you want <%= productName %> to route your
        e-mails to more than one server inside your firewall.<br /><br />
    </td>
</tr>

<tr bgcolor="White">
    <td valign="top"><b>Bind To:</b></td>
    <td valign="top"><select name="lstBindIP" size="1"><%=boundIPStr%></select><br />
        IP Address to bind this port to. If you choose "All unassigned", the server
        will listen on all IP address that are configured for this machine.<br /><br />
    </td>
</tr>




<tr bgcolor="White">
    <td valign="top"><b>Local Domains:</b></td>
    <td valign="top">Staging server will accept e-mails for following domains.
    IMPORTANT: If you configure this staging server as an open-relay, this list will not
    be used.
    <p>

        <strong>Domains List</strong>
        <table>
        <tr>
            <td valign="top"><textarea cols=20 rows=5 name="moreDomains"><%=domainList%></textarea></td>
            <td valign="top">Add one domain per line. Case does not matter. For example,
            <li>yourcompany.com
            <li>east.yourcompany.com
            <li>west.yourcompany.com
            </td>
        </tr>
        </table>

    </p>
    </td>
</tr>
<tr bgcolor="White">
    <td valign="top"><b>SMTP Relaying:</b></td>
    <td valign="top">

    <table>
    <tr>
        <td valign="top"><input type="radio" name="relay" value="1" <%=openRelay%>></td>
        <td valign="top">Relay messages from every host (Open Relay)<br />

        <table bgcolor="#CCCCCC">
        <tr>
            <td><strong>IMPORTANT: </strong>If you choose to go with this option make sure to block the
        staging server port from the Internet. Failure to do that may result in opening your server
        for relay to general public.</td>
        </tr>
        </table>
        <br /><br />
        </td>
    </tr>

    <tr>
        <td valign="top"><input type="radio" name="relay" value="2" <%=closeRelay%>></td>
        <td valign="top">Relay messages from the following IP Address(es) only.

        <table>
        <tr>
            <td><td valign="top"><textarea cols=20 rows=5 name="relayFrom"><%=relayFrom%></textarea></td>
            <td valign="bottom">You may use wildcards such as 192.168.1.* to accept messages from any IP Address on your local subnet.</td>
        </tr>
        </table>

        </td>
    </tr>
    </table>
    </td>
</tr>

<tr bgcolor="White">
    <td valign="top"><b>Asynchronous Processing:</b></td>
    <td valign="top">

        <table>
        	<tr>
                <td valign="top"><input type="checkbox" value="1" name="asyncProcessingEnabled" <%=asyncProcessing%> /> Enable Asynchronous processing</td>
                <td valign="top">When enabled <%= productName %> will accept messages asynchronously. The sender will never
                get an error message if the message is considered spam.</td>
        	</tr>


        </table>
    </td>
</tr>



<!--- By Shoaib 03-12-2004 -->
<tr bgcolor="White">
    <td valign="top"><b>Non-delivery Report:</b></td>
    <td valign="top">

        <table>
        	<tr>
                <td valign="top"><input type="checkbox" value="1" name="ndrEnabled" <%=ndrEnabled%> /> Enable NDR</td>
                <td valign="top">If checked <%= productName %> will generate an NDR for every non-delivered email.</td>
        	</tr>

            <tr>
                <td valign="top"><input type="checkbox" value="1" name="ndrInludeBodyEnabled" <%=ndrIncludeBodyEnabled%> /> Include original</td>
                <td valign="top">If checked the original message will be attached to the NDR. We recommend that
                you DO NOT check this option.</td>
        	</tr>

            <tr>
                <td valign="top"><input type="checkbox" value="1" name="ndrOnlyForOutboundEmails" <%=ndrOnlyForOutboundEmails%> /> Generate NDRs only for outbound emails</td>
                <td valign="top">If checked NDRs will be generated only for outbound emails. This prevents someone else from using your server to bounce back
                spam messages.</td>
        	</tr>

            <tr>
                <td valign="top"><input name="ndrEmail" value="<%=ndrEmail%>" /></td>
                <td valign="top">Sender's Email Address. e.g postmaster@yourdomain.com. This address will be used as the
               FROM address in the report.</td>
        	</tr>
        </table>
    </td>
</tr>


<tr bgcolor="White">
    <td valign="top"><b></b></td>
    <td valign="top"><center><input type="submit" value="Save Configuration"/></center></td>
</tr>


</table>

<input type="hidden" name="operation" value="89" />
</form>

<p>
<h2>Staging Server FAQ</h2>
<a href="StagingFAQ.jsp">Click here</a> to read frequently asked questions about Staging Server in <%= productName %>.
</p>
</a>
