<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.commons.util.*" %>
<%@ page import="java.util.*, com.synametrics.xeams.net.*" %>
<%@ page import="com.synametrics.commons.util.pool.*, com.synametrics.xeams.stagingserver.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>

<%
List staleObjects = ThreadPool.getInstance().getLongLastingObject(10 * TGlob.ONEMINUTE);
Collections.sort(staleObjects);


%>

<td>
<table>

<tr>
    <td>Total SMTP Proxy Workers:</td><td><%=SmtpProxyWorker.getWorkerCount()%></td>
</tr>

<tr>
    <td>Total SMTP Staging Workers:</td><td><%=SmtpStagingWorker.getWorkerCount()%></td>
</tr>
<tr>
    <td>Total Thread Pool size:</td><td><%=ThreadPool.getInstance().poolSize()%></td>
</tr>
<tr>
    <td>Total free threads:</td><td><%=ThreadPool.getInstance().getUsageCount()%></td>
</tr>
<tr>
    <td>Maximum Capacity:</td><td><%=ThreadPool.getInstance().capacity()%></td>
</tr>
</table>


<p>
<h2>List of non-responding threads: (<%=staleObjects.size()%>)</h2>


<table cellspacing="1" cellpadding="2" bgcolor="#CCCCCC">

        <tr bgcolor="#EEEEEE">
            <td><b>Thread started at</b></td>
            <td><b>Info</b></td>
        </tr>
    <%
    for(int i = 0; i < staleObjects.size(); i++){
        GenericPoolElement oneElement = (GenericPoolElement)staleObjects.get(i);


        %>
        <tr bgcolor="White">
            <td><%=TGlob.formatDate(oneElement.startedAt)%></td>
            <td><%=oneElement.theObject.toString()%></td>
        </tr>
        <%


    }
    %>

</table>

</p>
</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
