<%@ page import="java.util.*, com.synametrics.xeams.users.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr align="left" valign="top">
    <td>
<table width="100%" border="0" cellspacing="2" cellpadding="4"><tr><td>



<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
<a href="<%=response.encodeURL("FrontController?operation=500") %>">User Administration</a> &raquo;
User Filters

<h2>User Filters</h2>

<%
	User currentUser = (User)request.getAttribute("currentUser");
	if(currentUser == null){
		out.println("Invalid user specified");
		return;
	}
	
	int existingRuleCount = currentUser.getUserFilters().size();
	
	if(existingRuleCount == 0){
		out.println("There are no filters define yet. Click the <b>Add filter</b> link to add a new filter");
	}else{
		
%>
	Following filters are currently defined for <b><%=currentUser.getEmail() %></b>
	<p>
	<table class="brownborder" width="100%">
		<tr>
			<th>Filter Name</th><th>&nbsp;&nbsp;Action</th>
		</tr>
		
		<%
		
		boolean atLeastOneAvailable = false;
		for(int i = 0; i < existingRuleCount; i++){
			
			atLeastOneAvailable = true;
			UserFilter oneRule = (UserFilter)currentUser.getUserFilters().get(i);
			oneRule.getFilterName();
			oneRule.isEnabled();
			
			out.println("<tr>");
			out.println("<td><a href='FrontController?operation=529&filterName=" + oneRule.getFilterNameForWeb() +
					"&id=" + currentUser.getEmail()+ "'>" + oneRule.getFilterName() + "</a></td>");
			
			//Delete button
			out.println("<td><a href='FrontController?operation=531&idx=" + i + "&type=filter&id=" + currentUser.getEmail() + "' title='Delete this rule' >" +
					"<img src='" + imagePath + "doc_delete_16.gif' style='width:16px;height:16px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a> ");
			
			//Edit button
			out.println("<a href='FrontController?operation=529&filterName=" + oneRule.getFilterNameForWeb() + "&id=" + currentUser.getEmail() + "' title='Modify rule' >" +
					"<img src='" + imagePath + "doc_tools_16.gif' style='width:16px;height:16px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a> ");
			
			
			out.println("<a href='FrontController?operation=532&idx=" + i + "&type=up&id=" + currentUser.getEmail() + "' title='Move up the rule' > " +
					"<img src='" + imagePath + "doc_arrow_up_red_16.gif' style='width:16px;height:16px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a> ");
			
			out.println("<a href='FrontController?operation=532&idx=" + i + "&type=down&id=" + currentUser.getEmail() + "' title='Move down the rule' >" +
					"<img src='" + imagePath + "doc_arrow_down_red_16.gif' style='width:16px;height:16px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a> </td>");
			
			
			out.println("</tr>");
		}
		
		
		if(!atLeastOneAvailable){
			out.println("<tr>");
			out.println("<td colspan=2>No filter rules have been defined. Click <b>Add Filter</b> button to add one.</td>");
			out.println("</tr>");
		}
		%>
	</table>
	</p>
<%
	}	
%>
	
	<table>
		<tr>
		<td><input type="button" value="Add Filter" onClick="return overlay(this, 'newRuleForm')" title="Click here to add a new rule."> </td>
		</tr>
	</table>

	
	
	
	
<!--Do not remove outer most DIV tag with id="newRuleForm"-->
<DIV id="newRuleForm" style="position:absolute; border: 2px solid #A0370D; background-color: white; width: 400px; padding: 8px; display:none">

    <p><b>Enter a new filter rule</b><br>
    <form action="<%= request.getAttribute("appPath") %>" method="post" id="topform">
    
    	<table>
    		<tr>
				<td>New Filter Name:</td>
				<td><input type="text" name="filterName" size="25" ></td>		
			</tr>
    	</table>
    	<input type="hidden" name="id" value="<%=currentUser.getEmail() %>">
		<input type="hidden" name="operation" value="530">        
		<input type="hidden" name="saveType" value="addFilterOnly"> 
		<input type="hidden" name="matchType" value="<%=UserFilter.MT_MATCH_ALL %>">
        <input value="Save"  type="submit" />
        <input value="Cancel" type="button" onClick="overlayclose('newRuleForm'); return false" />
    </form>
    
    </p>
</DIV>
	
	
	
	
	




</td></tr></table>
	 </td>
    <%@ include file="InnerRightGrey.jsp" %>
	</tr>
</table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
